<?php

// Init options

add_action( 'init', 'of_options' );

if ( ! function_exists( 'of_options' ) ) {
	function of_options() {
		//Access the WordPress Categories via an Array
		$of_categories     = array();
		$of_categories_obj = get_categories( 'hide_empty=0' );
		foreach ( $of_categories_obj as $of_cat ) {
			$of_categories[$of_cat->cat_ID] = $of_cat->cat_name;
		}
		$categories_tmp = array_unshift( $of_categories, esc_html__( "Select a category:", 'purity' ) );

		//Access the WordPress Pages via an Array
		$of_pages     = array();
		$of_pages[''] = esc_html__( 'Select page:', 'purity' );
		$of_pages_obj = get_pages();
		foreach ( $of_pages_obj as $of_page ) {
			$of_pages[$of_page->ID] = $of_page->post_name;
			$of_id                  = $of_page->ID;
		}

		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets     = array();

		if ( is_dir( $alt_stylesheet_path ) ) {
			if ( $alt_stylesheet_dir = opendir( $alt_stylesheet_path ) ) {
				while ( ( $alt_stylesheet_file = readdir( $alt_stylesheet_dir ) ) !== false ) {
					if ( stristr( $alt_stylesheet_file, ".css" ) !== false ) {
						$alt_stylesheets[] = $alt_stylesheet_file;
					}
				}
			}
		}

		global $smof_data;

		$blog_categories = get_categories();

		$google_font_array = array(
			"none" => esc_html__( "Select font", 'purity' ),
			"Arial" => "Helvetica / Arial",
			"League Gothic" => "League Gothic",
			"Abel" => "Abel",
			"Abril Fatface" => "Abril Fatface",
			"Aclonica" => "Aclonica",
			"Actor" => "Actor",
			"Adamina" => "Adamina",
			"Aguafina Script" => "Aguafina Script",
			"Aladin" => "Aladin",
			"Aldrich" => "Aldrich",
			"Alice" => "Alice",
			"Alike Angular" => "Alike Angular",
			"Alike" => "Alike",
			"Allan" => "Allan",
			"Allerta Stencil" => "Allerta Stencil",
			"Allerta" => "Allerta",
			"Amaranth" => "Amaranth",
			"Amatic SC" => "Amatic SC",
			"Andada" => "Andada",
			"Andika" => "Andika",
			"Annie Use Your Telescope" => "Annie Use Your Telescope",
			"Anonymous Pro" => "Anonymous Pro",
			"Antic" => "Antic",
			"Anton" => "Anton",
			"Arapey" => "Arapey",
			"Architects Daughter" => "Architects Daughter",
			"Arimo" => "Arimo",
			"Artifika" => "Artifika",
			"Arvo" => "Arvo",
			"Asset" => "Asset",
			"Astloch" => "Astloch",
			"Atomic Age" => "Atomic Age",
			"Aubrey" => "Aubrey",
			"Bangers" => "Bangers",
			"Bentham" => "Bentham",
			"Bevan" => "Bevan",
			"Bigshot One" => "Bigshot One",
			"Bitter" => "Bitter",
			"Black Ops One" => "Black Ops One",
			"Bowlby One SC" => "Bowlby One SC",
			"Bowlby One" => "Bowlby One",
			"Brawler" => "Brawler",
			"Bubblegum Sans" => "Bubblegum Sans",
			"Buda" => "Buda",
			"Butcherman Caps" => "Butcherman Caps",
			"Cabin Condensed" => "Cabin Condensed",
			"Cabin Sketch" => "Cabin Sketch",
			"Cabin" => "Cabin",
			"Cagliostro" => "Cagliostro",
			"Calligraffitti" => "Calligraffitti",
			"Candal" => "Candal",
			"Cantarell" => "Cantarell",
			"Cardo" => "Cardo",
			"Carme" => "Carme",
			"Carter One" => "Carter One",
			"Caudex" => "Caudex",
			"Cedarville Cursive" => "Cedarville Cursive",
			"Changa One" => "Changa One",
			"Cherry Cream Soda" => "Cherry Cream Soda",
			"Chewy" => "Chewy",
			"Chicle" => "Chicle",
			"Chivo" => "Chivo",
			"Coda Caption" => "Coda Caption",
			"Coda" => "Coda",
			"Comfortaa" => "Comfortaa",
			"Coming Soon" => "Coming Soon",
			"Contrail One" => "Contrail One",
			"Convergence" => "Convergence",
			"Cookie" => "Cookie",
			"Copse" => "Copse",
			"Corben" => "Corben",
			"Cousine" => "Cousine",
			"Coustard" => "Coustard",
			"Covered By Your Grace" => "Covered By Your Grace",
			"Crafty Girls" => "Crafty Girls",
			"Creepster Caps" => "Creepster Caps",
			"Crimson Text" => "Crimson Text",
			"Crushed" => "Crushed",
			"Cuprum" => "Cuprum",
			"Damion" => "Damion",
			"Dancing Script" => "Dancing Script",
			"Dawning of a New Day" => "Dawning of a New Day",
			"Days One" => "Days One",
			"Delius Swash Caps" => "Delius Swash Caps",
			"Delius Unicase" => "Delius Unicase",
			"Delius" => "Delius",
			"Devonshire" => "Devonshire",
			"Didact Gothic" => "Didact Gothic",
			"Dorsa" => "Dorsa",
			"Dr Sugiyama" => "Dr Sugiyama",
			"Droid Sans Mono" => "Droid Sans Mono",
			"Droid Sans" => "Droid Sans",
			"Droid Serif" => "Droid Serif",
			"EB Garamond" => "EB Garamond",
			"Eater Caps" => "Eater Caps",
			"Expletus Sans" => "Expletus Sans",
			"Fanwood Text" => "Fanwood Text",
			"Federant" => "Federant",
			"Federo" => "Federo",
			"Fjord One" => "Fjord One",
			"Fondamento" => "Fondamento",
			"Fontdiner Swanky" => "Fontdiner Swanky",
			"Forum" => "Forum",
			"Francois One" => "Francois One",
			"Gentium Basic" => "Gentium Basic",
			"Gentium Book Basic" => "Gentium Book Basic",
			"Geo" => "Geo",
			"Geostar Fill" => "Geostar Fill",
			"Geostar" => "Geostar",
			"Give You Glory" => "Give You Glory",
			"Gloria Hallelujah" => "Gloria Hallelujah",
			"Goblin One" => "Goblin One",
			"Gochi Hand" => "Gochi Hand",
			"Goudy Bookletter 1911" => "Goudy Bookletter 1911",
			"Gravitas One" => "Gravitas One",
			"Gruppo" => "Gruppo",
			"Hammersmith One" => "Hammersmith One",
			"Herr Von Muellerhoff" => "Herr Von Muellerhoff",
			"Holtwood One SC" => "Holtwood One SC",
			"Homemade Apple" => "Homemade Apple",
			"IM Fell DW Pica SC" => "IM Fell DW Pica SC",
			"IM Fell DW Pica" => "IM Fell DW Pica",
			"IM Fell Double Pica SC" => "IM Fell Double Pica SC",
			"IM Fell Double Pica" => "IM Fell Double Pica",
			"IM Fell English SC" => "IM Fell English SC",
			"IM Fell English" => "IM Fell English",
			"IM Fell French Canon SC" => "IM Fell French Canon SC",
			"IM Fell French Canon" => "IM Fell French Canon",
			"IM Fell Great Primer SC" => "IM Fell Great Primer SC",
			"IM Fell Great Primer" => "IM Fell Great Primer",
			"Iceland" => "Iceland",
			"Inconsolata" => "Inconsolata",
			"Indie Flower" => "Indie Flower",
			"Irish Grover" => "Irish Grover",
			"Istok Web" => "Istok Web",
			"Jockey One" => "Jockey One",
			"Josefin Sans" => "Josefin Sans",
			"Josefin Slab" => "Josefin Slab",
			"Judson" => "Judson",
			"Julee" => "Julee",
			"Jura" => "Jura",
			"Just Another Hand" => "Just Another Hand",
			"Just Me Again Down Here" => "Just Me Again Down Here",
			"Kameron" => "Kameron",
			"Kelly Slab" => "Kelly Slab",
			"Kenia" => "Kenia",
			"Knewave" => "Knewave",
			"Kranky" => "Kranky",
			"Kreon" => "Kreon",
			"Kristi" => "Kristi",
			"La Belle Aurore" => "La Belle Aurore",
			"Lancelot" => "Lancelot",
			"Lato" => "Lato",
			"League Script" => "League Script",
			"Leckerli One" => "Leckerli One",
			"Lekton" => "Lekton",
			"Lemon" => "Lemon",
			"Limelight" => "Limelight",
			"Linden Hill" => "Linden Hill",
			"Lobster Two" => "Lobster Two",
			"Lobster" => "Lobster",
			"Lora" => "Lora",
			"Love Ya Like A Sister" => "Love Ya Like A Sister",
			"Loved by the King" => "Loved by the King",
			"Luckiest Guy" => "Luckiest Guy",
			"Maiden Orange" => "Maiden Orange",
			"Mako" => "Mako",
			"Marck Script" => "Marck Script",
			"Marvel" => "Marvel",
			"Mate SC" => "Mate SC",
			"Mate" => "Mate",
			"Maven Pro" => "Maven Pro",
			"Meddon" => "Meddon",
			"MedievalSharp" => "MedievalSharp",
			"Megrim" => "Megrim",
			"Merienda One" => "Merienda One",
			"Merriweather" => "Merriweather",
			"Metrophobic" => "Metrophobic",
			"Michroma" => "Michroma",
			"Miltonian Tattoo" => "Miltonian Tattoo",
			"Miltonian" => "Miltonian",
			"Miss Fajardose" => "Miss Fajardose",
			"Miss Saint Delafield" => "Miss Saint Delafield",
			"Modern Antiqua" => "Modern Antiqua",
			"Molengo" => "Molengo",
			"Monofett" => "Monofett",
			"Monoton" => "Monoton",
			"Monsieur La Doulaise" => "Monsieur La Doulaise",
			"Montez" => "Montez",
			"Mountains of Christmas" => "Mountains of Christmas",
			"Mr Bedford" => "Mr Bedford",
			"Mr Dafoe" => "Mr Dafoe",
			"Mr De Haviland" => "Mr De Haviland",
			"Mrs Sheppards" => "Mrs Sheppards",
			"Muli" => "Muli",
			"Neucha" => "Neucha",
			"Neuton" => "Neuton",
			"News Cycle" => "News Cycle",
			"Niconne" => "Niconne",
			"Nixie One" => "Nixie One",
			"Nobile" => "Nobile",
			"Nosifer Caps" => "Nosifer Caps",
			"Nothing You Could Do" => "Nothing You Could Do",
			"Nova Cut" => "Nova Cut",
			"Nova Flat" => "Nova Flat",
			"Nova Mono" => "Nova Mono",
			"Nova Oval" => "Nova Oval",
			"Nova Round" => "Nova Round",
			"Nova Script" => "Nova Script",
			"Nova Slim" => "Nova Slim",
			"Nova Square" => "Nova Square",
			"Numans" => "Numans",
			"Nunito" => "Nunito",
			"Old Standard TT" => "Old Standard TT",
			"Open Sans Condensed" => "Open Sans Condensed",
			"Open Sans" => "Open Sans",
			"Orbitron" => "Orbitron",
			"Oswald" => "Oswald",
			"Over the Rainbow" => "Over the Rainbow",
			"Ovo" => "Ovo",
			"PT Sans Caption" => "PT Sans Caption",
			"PT Sans Narrow" => "PT Sans Narrow",
			"PT Sans" => "PT Sans",
			"PT Serif Caption" => "PT Serif Caption",
			"PT Serif" => "PT Serif",
			"Pacifico" => "Pacifico",
			"Passero One" => "Passero One",
			"Patrick Hand" => "Patrick Hand",
			"Paytone One" => "Paytone One",
			"Permanent Marker" => "Permanent Marker",
			"Petrona" => "Petrona",
			"Philosopher" => "Philosopher",
			"Piedra" => "Piedra",
			"Pinyon Script" => "Pinyon Script",
			"Play" => "Play",
			"Playfair Display" => "Playfair Display",
			"Podkova" => "Podkova",
			"Poller One" => "Poller One",
			"Poly" => "Poly",
			"Pompiere" => "Pompiere",
			"Poppins" => "Poppins",
			"Prata" => "Prata",
			"Prociono" => "Prociono",
			"Puritan" => "Puritan",
			"Quattrocento Sans" => "Quattrocento Sans",
			"Quattrocento" => "Quattrocento",
			"Questrial" => "Questrial",
			"Quicksand" => "Quicksand",
			"Radley" => "Radley",
			"Raleway" => "Raleway",
			"Rammetto One" => "Rammetto One",
			"Rancho" => "Rancho",
			"Rationale" => "Rationale",
			"Redressed" => "Redressed",
			"Reenie Beanie" => "Reenie Beanie",
			"Ribeye Marrow" => "Ribeye Marrow",
			"Ribeye" => "Ribeye",
			"Righteous" => "Righteous",
			"Roboto" => "Roboto",
			"Roboto Slab" => "Roboto Slab",
			"Rock Salt" => "Rock Salt",
			"Rokkitt" => "Rokkitt",
			"Rosario" => "Rosario",
			"Ruslan Display" => "Ruslan Display",
			"Salsa" => "Salsa",
			"Sancreek" => "Sancreek",
			"Sansita One" => "Sansita One",
			"Satisfy" => "Satisfy",
			"Schoolbell" => "Schoolbell",
			"Shadows Into Light" => "Shadows Into Light",
			"Shanti" => "Shanti",
			"Short Stack" => "Short Stack",
			"Sigmar One" => "Sigmar One",
			"Signika Negative" => "Signika Negative",
			"Signika" => "Signika",
			"Six Caps" => "Six Caps",
			"Slackey" => "Slackey",
			"Smokum" => "Smokum",
			"Smythe" => "Smythe",
			"Sniglet" => "Sniglet",
			"Snippet" => "Snippet",
			"Sorts Mill Goudy" => "Sorts Mill Goudy",
			"Special Elite" => "Special Elite",
			"Spinnaker" => "Spinnaker",
			"Spirax" => "Spirax",
			"Stardos Stencil" => "Stardos Stencil",
			"Sue Ellen Francisco" => "Sue Ellen Francisco",
			"Sunshiney" => "Sunshiney",
			"Supermercado One" => "Supermercado One",
			"Swanky and Moo Moo" => "Swanky and Moo Moo",
			"Syncopate" => "Syncopate",
			"Tangerine" => "Tangerine",
			"Tenor Sans" => "Tenor Sans",
			"Terminal Dosis" => "Terminal Dosis",
			"The Girl Next Door" => "The Girl Next Door",
			"Tienne" => "Tienne",
			"Tinos" => "Tinos",
			"Tulpen One" => "Tulpen One",
			"Ubuntu Condensed" => "Ubuntu Condensed",
			"Ubuntu Mono" => "Ubuntu Mono",
			"Ubuntu" => "Ubuntu",
			"Ultra" => "Ultra",
			"UnifrakturCook" => "UnifrakturCook",
			"UnifrakturMaguntia" => "UnifrakturMaguntia",
			"Unkempt" => "Unkempt",
			"Unlock" => "Unlock",
			"Unna" => "Unna",
			"VT323" => "VT323",
			"Varela Round" => "Varela Round",
			"Varela" => "Varela",
			"Vast Shadow" => "Vast Shadow",
			"Vibur" => "Vibur",
			"Vidaloka" => "Vidaloka",
			"Volkhov" => "Volkhov",
			"Vollkorn" => "Vollkorn",
			"Voltaire" => "Voltaire",
			"Waiting for the Sunrise" => "Waiting for the Sunrise",
			"Wallpoet" => "Wallpoet",
			"Walter Turncoat" => "Walter Turncoat",
			"Wire One" => "Wire One",
			"Yanone Kaffeesatz" => "Yanone Kaffeesatz",
			"Yellowtail" => "Yellowtail",
			"Yeseva One" => "Yeseva One",
			"Zeyada" => "Zeyada"
		);

		if ( has_filter( 'purity_google_fonts_list' ) ) {
			$google_font_array = apply_filters( 'purity_google_fonts_list', $google_font_array );
		}


		//-----------------------------------------------------------------------------------*/
		// TO DO: Add options/functions that use these */
		//-----------------------------------------------------------------------------------*/

		//More Options
		$uploads_arr      = wp_upload_dir();
		$all_uploads_path = $uploads_arr['path'];
		$all_uploads      = get_option( 'of_uploads' );
		$other_entries    = array(
			 "Select a number:",
			"1",
			"2",
			"3",
			"4",
			"5",
			"6",
			"7",
			"8",
			"9",
			"10",
			"11",
			"12",
			"13",
			"14",
			"15",
			"16",
			"17",
			"18",
			"19"
		);
		$body_repeat      = array(
			 "no-repeat",
			"repeat-x",
			"repeat-y",
			"repeat"
		);
		$body_pos         = array(
			 "top left",
			"top center",
			"top right",
			"center left",
			"center center",
			"center right",
			"bottom left",
			"bottom center",
			"bottom right"
		);

		// Image Alignment radio box
		$of_options_thumb_align = array(
			 "alignleft" => "Left",
			"alignright" => "Right",
			"aligncenter" => "Center"
		);

		// Image Links to Options
		$of_options_image_link_to = array(
			 "image" => "The Image",
			"post" => "The Post"
		);


		//-----------------------------------------------------------------------------------
		// The Options Array
		//-----------------------------------------------------------------------------------

		// Set the Options Array
		global $of_options;
		$of_options = array();
		$prefix     = "purity_";

		//
		//	General Settings
		//

		$of_options[] = array(
			"name" => esc_html__( "General", "purity" ),
			"icon" => "cogs",
			"type" => "heading"
		);

		$of_options[] = array(
			 "name" => esc_html__( "Logo Image", "purity" ),
			"desc" => esc_html__( "Upload your website's logo image. To increase the logo height in the frontend, please follow ", 'purity' ) . '<a href="https://veented.ticksy.com/article/15011/" target="_blank">' . esc_html__( 'this article', 'purity' ) . '</a>.',
			"id" => $prefix . "logo_image",
			"std" => get_template_directory_uri() . '/img/logo.png',
			"type" => "upload"
		);

		$of_options[] = array(
			"name" => esc_html__( "Navigation Top Margin", 'purity' ),
			"desc" => esc_html__( "A space above the page navigation expressed in pixels. Edit it's value to center the menu vertically while using your own logo image.", 'purity' ),
			"id" => $prefix . "nav_margin",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			 "name" => esc_html__( "Default Template Layout", 'purity' ),
			"desc" => esc_html__( "A template for the single blog, portfolio posts and the contact page.", 'purity' ),
			"id" => $prefix . "global_template",
			"type" => "select",
			"options" => array(
				"sidebar_right" => esc_html__( "Right Sidebar", 'purity' ),
				"sidebar_left" => esc_html__( "Left Sidebar", 'purity' ),
				"fullwidth" => esc_html__( "Fullwidth", 'purity' ),
			)
		);

		//
		//	Header Tab
		//

		$of_options[] = array(
			"name" => esc_html__( "Header", 'purity' ),
			"icon" => "long-arrow-up",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Breadcrumbs", 'purity' ),
			"desc" => esc_html__( "Breadcrumbs navigation.", 'purity' ),
			"id" => $prefix . "breadcrumbs_enable",
			"type" => "select",
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Sticky Header", 'purity' ),
			"desc" => esc_html__( "Make header 'sticky' while scrolling through the website.", 'purity' ),
			"id" => $prefix . "header_sticky",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Header Style", 'purity' ),
			"desc" => esc_html__( "Choose header style.", 'purity' ),
			"id" => $prefix . "header_style",
			"type" => "select",
			"options" => array(
				"default" => esc_html__( "Default", 'purity' ),
				"centered" => esc_html__( "Centered", 'purity' ),
				"bottom" => esc_html__( "Bottom", 'purity' )
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Top Bar", 'purity' ),
			"desc" => esc_html__( "Enable Top Bar (Above Logo and Navigation).", 'purity' ),
			"id" => $prefix . "top_bar",
			"type" => "select",
			"std" => 'no',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Top Bar Text Content", 'purity' ),
			"desc" => esc_html__( "This content will be displayed on the left side of your Top Bar (HTML allowed).", 'purity' ),
			"id" => $prefix . "topbar_text",
			"std" => 'Welcome! E-Mail: <a href="#">your@email.com</a>, Phone: Your phone number',
			"type" => "textarea",
			// "fold" => $prefix . "top_bar",
			// "folded" => "yes",
		);

		$of_options[] = array(
			"name" => esc_html__( "Top Bar Social Icons", 'purity' ),
			"desc" => esc_html__( "Enable social icons in the Top Bar section.", 'purity' ),
			"id" => $prefix . "topbar_social",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "WooCommerce Shopping Cart", 'purity' ),
			"desc" => esc_html__( "Select this option to enable the Shopping Cart icon next to the website navigation. Works only with WooCommerce plugin enabled.", 'purity' ),
			"id" => $prefix . "header_cart",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		//
		//	Appearance Tab
		//

		$of_options[] = array(
			"name" => esc_html__( "Appearance", 'purity' ),
			"icon" => "paint-brush",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Website Layout", 'purity' ),
			"desc" => esc_html__( "Pick website layout.", 'purity' ),
			"id" => $prefix . "site_layout",
			"type" => "select",
			"std" => 'boxed',
			"options" => array(
				"boxed" => esc_html__( "Boxed", 'purity' ),
				"wide" => esc_html__( "Wide", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Theme Skin", 'purity' ),
			"desc" => esc_html__( "Choose theme skin.", 'purity' ),
			"id" => $prefix . "theme_skin",
			"type" => "select",
			"std" => 'light',
			"options" => array(
				"light" => esc_html__( "Light", 'purity' ),
				"dark" => esc_html__( "Dark", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Accent Color", 'purity' ),
			"desc" => esc_html__( "Choose the main accent color.", 'purity' ),
			"id" => $prefix . "theme_color",
			"std" => "#e97017",
			"type" => "color"
		);

		$of_options[] = array(
			"name" => esc_html__( "Link Hover Color", 'purity' ),
			"desc" => esc_html__( "Color of links in a hover state.", 'purity' ),
			"id" => $prefix . "hover_color",
			"std" => "#444444",
			"type" => "color"
		);

		$of_options[] = array(
			"name" => esc_html__( "Body Text Color", 'purity' ),
			"desc" => esc_html__( "Color of the paragraph text.", 'purity' ),
			"id" => $prefix . "body_color",
			"std" => "",
			"type" => "color"
		);

		$of_options[] = array(
			"name" => esc_html__( "Background Color", 'purity' ),
			"desc" => esc_html__( "Website background color.", 'purity' ),
			"id" => $prefix . "bg_color",
			"std" => "",
			"type" => "color"
		);

		$of_options[] = array(
			 "name" => esc_html__( "Background Image", "purity" ),
			"desc" => esc_html__( "An image that will be used as your website background.", "purity" ),
			"id" => $prefix . "bg_img",
			"std" => "",
			"type" => "upload"
		);

		$of_options[] = array(
			"name" => esc_html__( "Fixed Background Position", 'purity' ),
			"desc" => esc_html__( "Enable this option if you have a big background image and you want it to stay 'fixed' while scrolling the page.", 'purity' ),
			"id" => $prefix . "bg_style",
			"type" => "select",
			"std" => 'no',
			"options" => array(
				"no" => esc_html__( "No", 'purity' ),
				"yes" => esc_html__( "Yes", 'purity' ),
			)
		);

		$of_options[] = array(
			 "name" => esc_html__( "Custom CSS Code", 'purity' ),
			"desc" => esc_html__( "Paste your custom CSS styling code.", 'purity' ),
			"id" => $prefix . "custom_css",
			"std" => "",
			"rows" => "14",
			"type" => "textarea"
		);

		//
		//	Appearance Tab
		//

		$of_options[] = array(
			"name" => esc_html__( "Homepage", 'purity' ),
			"icon" => "square-o",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Homepage Slider", 'purity' ),
			"desc" => esc_html__( "Enable the homepage slider.", 'purity' ),
			"id" => $prefix . "slider_enable",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			 "name" => esc_html__( "Homepage Custom Content", 'purity' ),
			"desc" => esc_html__( "This is a place for a custom HTML code that will displayed on your homepage under the Slider. You may easily place a Vimeo, YouTube video or just a static image. Check the Theme Documentation for code examples.", 'purity' ),
			"id" => $prefix . "homepage_cc",
			"std" => "",
			"rows" => "7",
			"type" => "textarea"
		);

		$of_options[] = array(
			"name" => esc_html__( "Homepage Tagline", 'purity' ),
			"desc" => esc_html__( "Enable the homepage tagline.", 'purity' ),
			"id" => $prefix . "homepage_tagline_enable",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			 "name" => esc_html__( "Homepage Tagline", 'purity' ),
			"desc" => esc_html__( "This is the homepage tagline text.", 'purity' ),
			"id" => $prefix . "homepage_tagline",
			"std" => 'Hello and Welcome to Purity, a NYC based photography agency. <br> Feel free to read more <a href="#">About us</a> and check our <a href="#">Portfolio</a>. Questions? <a href="#">Send us a mail</a>.',
			"rows" => "7",
			"type" => "textarea"
		);

		$of_options[] = array(
			"name" => esc_html__( "Recent Work", 'purity' ),
			"desc" => esc_html__( "Enable the Recent Work section on the homepage.", 'purity' ),
			"id" => $prefix . "recent_work",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Recent Work", 'purity' ),
			"desc" => esc_html__( "Recent Work section settings.", 'purity' ),
			"id" => $prefix . "recent_work_st",
			"type" => "select",
			"std" => '3cols',
			"options" => array(
				"3cols" => esc_html__( "Three Columns", 'purity' ),
				"4cols" => esc_html__( "Four Columns", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "View More link", 'purity' ),
			"desc" => esc_html__( "Choose a page where people will be redirected after clicking the 'View Portfolio' link, located at the bottom of the Recent Work section.", 'purity' ),
			"id" => $prefix . "portfolio_page",
			"options" => $of_pages,
			"type" => "select"
		);

		$of_options[] = array(
			"name" => esc_html__( "Recent Posts", 'purity' ),
			"desc" => esc_html__( "Enable the Recent Posts section on the homepage.", 'purity' ),
			"id" => $prefix . "recent_posts",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Recent Posts Settings", 'purity' ),
			"desc" => esc_html__( "Recent Posts section settings.", 'purity' ),
			"id" => $prefix . "recent_posts_st",
			"type" => "select",
			"std" => '3cols',
			"options" => array(
				"3cols" => esc_html__( "Three Columns", 'purity' ),
				"4cols" => esc_html__( "Four Columns", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Recent Posts Thumbnails", 'purity' ),
			"desc" => esc_html__( "Enable Recent Posts thumbnails.", 'purity' ),
			"id" => $prefix . "recent_posts_thumbs",
			"type" => "select",
			"std" => 'no',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		//
		// Blog Tab
		//

		$of_options[] = array(
			"name" => esc_html__( "Blog", 'purity' ),
			"icon" => "newspaper-o",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Blog Template", 'purity' ),
			"desc" => esc_html__( "Choose the blog template.", 'purity' ),
			"id" => $prefix . "blog_template",
			"type" => "select",
			"std" => 'big_thumbnail',
			"options" => array(
				"big_thumbnail" => esc_html__( "Big Thumbnail", 'purity' ),
				"medium_thumbnail" => esc_html__( "Medium Thumbnail", 'purity' ),
				"small_thumbnail" => esc_html__( "Small Thumbnail", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Blog Index Page Post Content", 'purity' ),
			"desc" => esc_html__( "Choose the type of content that should be displayed on the blog index/listing page.", 'purity' ),
			"id" => $prefix . "blog_index_content",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"excerpt" => esc_html__( "Excerpt (short summary)", 'purity' ),
				"full" => esc_html__( "Full content - until the Read More tag.", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( 'Excerpt limit', 'purity' ),
			"desc" => esc_html__( "Set the blog index page excerpt character's limit. Note: excerpt can always be customized via the Excerpt field (that can be enabled in Screen Options area when editing a blog post). Default value: 240", 'purity' ),
			"id" => $prefix . "blog_excerpt_limit",
			"std" => '',
			"type" => "text"
		);

		//
		// Portfolio Tab
		//

		$of_options[] = array(
			"name" => esc_html__( "Portfolio", 'purity' ),
			"icon" => "briefcase",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Filterable Portfolio", 'purity' ),
			"desc" => esc_html__( "Enable the filterable portfolio effect.", 'purity' ),
			"id" => $prefix . "portfolio_filters",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			 "name" => esc_html__( "Portfolio Post Template", 'purity' ),
			"desc" => esc_html__( "Choose the Portfolio Post Template.", 'purity' ),
			"id" => $prefix . "portfolio_post_template",
			"type" => "select",
			"std" => 'sidebar_left',
			"options" => array(
				"sidebar_right" => esc_html__( "Right Sidebar", 'purity' ),
				"sidebar_left" => esc_html__( "Left Sidebar", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "'All Projects' Title", 'purity' ),
			"desc" => esc_html__( "Translate the 'Show All' filtering menu title.", 'purity' ),
			"id" => $prefix . "all_projects",
			"std" => 'Show All',
			"type" => "text"
		);

		//
		// Footer
		//

		$of_options[] = array(
			"name" => esc_html__( "Footer", 'purity' ),
			"icon" => "long-arrow-down",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Footer Widgets Area", 'purity' ),
			"desc" => esc_html__( "Enable the footer widgets area.", 'purity' ),
			"id" => $prefix . "footer_widgets_area",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Footer Widgets Area Columns", 'purity' ),
			"desc" => esc_html__( "Number of columns in the Footer Widgets Area.", 'purity' ),
			"id" => $prefix . "footer_cols",
			"type" => "select",
			"std" => '4cols',
			"options" => array(
				"3cols" => esc_html__( "Three Columns", 'purity' ),
				"4cols" => esc_html__( "Four Columns", 'purity' ),
				"5cols" => esc_html__( "Five Columns", 'purity' )
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Footer Style", 'purity' ),
			"desc" => esc_html__( "Choose the Footer style.", 'purity' ),
			"id" => $prefix . "footer_style",
			"type" => "select",
			"std" => 'footer1',
			"options" => array(
				"footer1" => esc_html__( "Footer 1 (Centered)", 'purity' ),
				"footer2" => esc_html__( "Footer 2", 'purity' ),
			)
		);

		$of_options[] = array(
			 "name" => esc_html__( "Copyright Text", 'purity' ),
			"desc" => esc_html__( "The copyright text that appears on the very bottom of your website.", 'purity' ),
			"id" => $prefix . "copyright",
			"std" => 'Copyright 2019 <a href="#">Purity</a> - All rights reserved.',
			"rows" => "7",
			"type" => "textarea"
		);

		//$
		// Social Links
		//

		$of_options[] = array(
			"name" => esc_html__( "Social Links", 'purity' ),
			"icon" => "twitter",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Footer Social Links", 'purity' ),
			"desc" => esc_html__( "Enable social links in the footer.", 'purity' ),
			"id" => $prefix . "footer_social_links",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$social_site_desc = esc_html__( "Provide the social site URL (including https://).", 'purity' );

		$of_options[] = array(
			"name" => 'Twitter',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_1",
			"std" => '#',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Facebook',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_2",
			"std" => '#',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Google Plus',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_17",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Dribbble',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_3",
			"std" => '#',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'LinkedIn',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_11",
			"std" => '#',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'RSS',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_4",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'YouTube',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_5",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Vimeo',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_6",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Flickr',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_18",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Tumblr',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_7",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Pinterest',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_8",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Dropbox',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_9",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Skype',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_12",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Instagram',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_13",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Stack Overflow',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_10",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'GitHub',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_14",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Four Square',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_15",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'BitBucket',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_16",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => 'Maxcdn',
			"desc" => $social_site_desc,
			"id" => $prefix . "social_19",
			"std" => '',
			"type" => "text"
		);

		//
		// Slider
		//

		$of_options[] = array(
			"name" => esc_html__( "Slider", 'purity' ),
			"icon" => "image",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Homepage Slider Slides", 'purity' ),
			"desc" => esc_html__( "Add and manage slides on your homepage.", 'purity' ),
			"id" => $prefix . "slider_slides",
			"std" => array(
				array(
					'order' => '1',
					'title' => esc_html__( 'Slide', 'purity' ) . ' 1',
					'url' => 'http://veented.com/themes/purity/wp-content/uploads/2011/08/5w.jpg',
					'link' => '#',
					'description' => ''
				),
				array(
					'order' => '2',
					'title' => esc_html__( 'Slide', 'purity' ) . ' 2',
					'url' => 'http://veented.com/themes/purity/wp-content/uploads/2012/05/3w.jpg',
					'link' => '#',
					'description' => ''
				),
				array(
					'order' => '3',
					'title' => esc_html__( 'Slide', 'purity' ) . ' 3',
					'url' => 'http://veented.com/themes/purity/wp-content/uploads/2011/08/8w.jpg',
					'link' => '#',
					'description' => ''
				),
				array(
					'order' => '4',
					'title' => esc_html__( 'Slide', 'purity' ) . ' 4',
					'url' => 'http://veented.com/themes/purity/wp-content/uploads/2012/05/7w.jpg',
					'link' => '#',
					'description' => esc_html__( 'This is an example caption.', 'purity' )
				),
			),
			"type" => "slider"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Slider Height', 'purity' ),
			"desc" => esc_html__( "Set the slider height in pixels.", 'purity' ),
			"id" => $prefix . "slider_height",
			"std" => '380',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Pause Time', 'purity' ),
			"desc" => esc_html__( "Slider pause time in miliseconds (3000 = 3 seconds). Type 0 to disable autoplay.", 'purity' ),
			"id" => $prefix . "slider_pause",
			"std" => '3000',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Animation Speed', 'purity' ),
			"desc" => esc_html__( "Slider animation speed in miliseconds (700 = 0.7 of a second).", 'purity' ),
			"id" => $prefix . "slider_speed",
			"std" => '700',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( "Slider Animation Effect", 'purity' ),
			"desc" => esc_html__( "Choose the slider animation effect.", 'purity' ),
			"id" => $prefix . "slider_effect",
			"type" => "select",
			"std" => 'fade',
			"options" => array(
				"fade" => esc_html__( "Fade", 'purity' ),
				"slide" => esc_html__( "Slide", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Slider Direction Nav", 'purity' ),
			"desc" => esc_html__( "Enable/disable the slider direction/arrow nav.", 'purity' ),
			"id" => $prefix . "slider_direction_nav",
			"type" => "select",
			"std" => 'true',
			"options" => array(
				"true" => esc_html__( "True", 'purity' ),
				"false" => esc_html__( "False", 'purity' ),
			)
		);

		//
		// Contact & Map
		//

		$of_options[] = array(
			"name" => esc_html__( "Contact & Google Maps", 'purity' ),
			"icon" => "map-o",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => '',
			"std" => sprintf( __( 'To meet the new ThemeForest requirements, the contact form has been removed from the theme. Please install the Contact Form 7 plugin via <a href="%s" target="_blank">Appearance / Install Plugins</a> and embed the shortcode inside this page content. <a href="%s" target="_blank">Learn more here</a>.', 'purity' ), admin_url( 'themes.php?page=install-required-plugins' ), 'https://veented.ticksy.com/article/14807/' ),
			"id" => $prefix . "contact_form_info",
			"type" => "info"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Google Maps API Key', 'purity' ),
			"desc" => esc_html__( "Paste your Google Maps Api Key. For more information, check", 'purity' ) . " <a href='https://veented.ticksy.com/article/7856/' target='_blank'>" . esc_html__( 'this article', 'purity' ) . "</a>.",
			"id" => $prefix . "google_maps_api_key",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( "Google Map", 'purity' ),
			"desc" => esc_html__( "Enable Google Map on the contact page.", 'purity' ),
			"id" => $prefix . "contact_map",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( 'Map Location', 'purity' ),
			"desc" => esc_html__( 'A location to be shown on the map in "lat,lng" format i.e. 41.862274,-87.701328', 'purity' ) . ' <a target="_blank" href="https://veented.ticksy.com/article/14771/">' . esc_html__( 'Learn more here', 'purity' ) . '</a>.',
			"id" => $prefix . "map_location",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Map Zoom', 'purity' ),
			"desc" => esc_html__( 'Google Map zoom. Default value: 15', 'purity' ),
			"id" => $prefix . "map_zoom",
			"std" => '15',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( "Map Color Scheme", 'purity' ),
			"desc" => esc_html__( "Choose the map color scheme.", 'purity' ),
			"id" => $prefix . "map_color",
			"type" => "select",
			"std" => 'black_and_white',
			"options" => array(
				"black_and_white" => esc_html__( "Black and White", 'purity' ),
				"default" => esc_html__( "Default", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( 'Map Height', 'purity' ),
			"desc" => esc_html__( 'Height of the map object in pixels. Default value: 320', 'purity' ),
			"id" => $prefix . "map_height",
			"std" => '320',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( "Disable Map UI", 'purity' ),
			"desc" => esc_html__( "Disable the default MAP User Interface controls.", 'purity' ),
			"id" => $prefix . "map_disable_ui",
			"type" => "select",
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		//
		// Typography
		//

		$of_options[] = array(
			"name" => esc_html__( "Typography", 'purity' ),
			"icon" => "font",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Body Bont", 'purity' ),
			"desc" => esc_html__( "Choose the body font. Default: Helvetica", 'purity' ),
			"id" => $prefix . "font_body",
			"std" => "Helvetica",
			"type" => "select",
			"options" => $google_font_array
		);

		$of_options[] = array(
			"name" => esc_html__( "Heading Font", 'purity' ),
			"desc" => esc_html__( "Choose a font for Headings, Navigation and Page Titles. Default: League Gothic.", 'purity' ),
			"id" => $prefix . "font_heading",
			"std" => "League Gothic",
			"type" => "select",
			"options" => $google_font_array
		);

		$of_options[] = array(
			"name" => esc_html__( 'Body Font Size', 'purity' ),
			"desc" => esc_html__( 'Body (paragraphs) font size given in pixels. Default: 12', 'purity' ),
			"id" => $prefix . "fs_body",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Header Navigation Menu', 'purity' ),
			"desc" => esc_html__( 'Default: 22', 'purity' ),
			"id" => $prefix . "fs_nav",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Homepage Tagline', 'purity' ),
			"desc" => esc_html__( 'Default: 32', 'purity' ),
			"id" => $prefix . "fs_ht",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Heading H1', 'purity' ),
			"desc" => esc_html__( 'Default: 30', 'purity' ),
			"id" => $prefix . "fs_h1",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Heading H2', 'purity' ),
			"desc" => esc_html__( 'Default: 28', 'purity' ),
			"id" => $prefix . "fs_h2",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Heading H3', 'purity' ),
			"desc" => esc_html__( 'Default: 26', 'purity' ),
			"id" => $prefix . "fs_h3",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Heading H4', 'purity' ),
			"desc" => esc_html__( 'Default: 22', 'purity' ),
			"id" => $prefix . "fs_h4",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Heading H5', 'purity' ),
			"desc" => esc_html__( 'Default: 11', 'purity' ),
			"id" => $prefix . "fs_h5",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Heading H6', 'purity' ),
			"desc" => esc_html__( 'Default: 10', 'purity' ),
			"id" => $prefix . "fs_h6",
			"std" => '',
			"type" => "text"
		);

		//
		// Translate
		//

		$of_options[] = array(
			"name" => esc_html__( "Translate", 'purity' ),
			'desc' => 'test',
			"icon" => "flag-o",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Select Page', 'purity' ),
			"id" => $prefix . "tr_select_page",
			"std" => '',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Recent Work Title', 'purity' ),
			"id" => $prefix . "tr_recent_work_title",
			"std" => 'Recent Work',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Recent Work - Link Title', 'purity' ),
			"id" => $prefix . "tr_recent_work_view",
			"std" => 'View Portfolio',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Recent Posts Title', 'purity' ),
			"id" => $prefix . "tr_recent_posts_title",
			"std" => 'From the Blog',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Recent Posts - Link Title', 'purity' ),
			"id" => $prefix . "tr_recent_posts_view",
			"std" => 'Go to the Blog',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Blog Read More', 'purity' ),
			"id" => $prefix . "tr_read_more",
			"std" => 'Read more',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'By', 'purity' ),
			"id" => $prefix . "tr_by",
			"std" => 'By',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'In', 'purity' ),
			"id" => $prefix . "tr_in",
			"std" => 'In',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Tags', 'purity' ),
			"id" => $prefix . "tr_tags",
			"std" => 'Tags',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Posted By', 'purity' ),
			"id" => $prefix . "tr_posted_by",
			"std" => 'Posted by',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Posted In', 'purity' ),
			"id" => $prefix . "tr_posted_in",
			"std" => 'in',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'On', 'purity' ),
			"id" => $prefix . "tr_on",
			"std" => 'on',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Leave Reply', 'purity' ),
			"id" => $prefix . "tr_leave_reply",
			"std" => 'Leave Reply',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Cancel Reply', 'purity' ),
			"id" => $prefix . "tr_cancel_reply",
			"std" => 'Cancel Reply',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Reply', 'purity' ),
			"id" => $prefix . "tr_reply",
			"std" => 'Reply',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Comments', 'purity' ),
			"id" => $prefix . "tr_comments",
			"std" => 'comments',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Newer Comments', 'purity' ),
			"id" => $prefix . "tr_newer_comments",
			"std" => 'Newer Comments',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Older Comments', 'purity' ),
			"id" => $prefix . "tr_older_comments",
			"std" => 'Older Comments',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Older Posts', 'purity' ),
			"id" => $prefix . "tr_older_posts",
			"std" => 'Older Posts',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Newer Posts', 'purity' ),
			"id" => $prefix . "tr_newer_posts",
			"std" => 'Newer Posts',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Form "Name"', 'purity' ),
			"id" => $prefix . "tr_name",
			"std" => 'Name',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Form "Email"', 'purity' ),
			"id" => $prefix . "tr_email",
			"std" => 'Email',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Comment Form Content', 'purity' ),
			"id" => $prefix . "tr_comment_msg",
			"std" => 'Comment',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Submit Comment Form Button', 'purity' ),
			"id" => $prefix . "tr_comment_submit",
			"std" => 'Leave Reply',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Divider "Top"', 'purity' ),
			"id" => $prefix . "tr_divider_top",
			"std" => 'Top',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( 'Search field placeholder', 'purity' ),
			"id" => $prefix . "tr_search",
			"std" => 'Search...',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( '404 Error Page Title', 'purity' ),
			"desc" => esc_html__( 'Title for the 404 Error Page.', 'purity' ),
			"id" => $prefix . "404_title",
			"std" => '404 Page Error',
			"type" => "text"
		);

		$of_options[] = array(
			"name" => esc_html__( '404 Error Page Tagline', 'purity' ),
			"desc" => esc_html__( 'Subtitle for the 404 Error Page.', 'purity' ),
			"id" => $prefix . "404_tagline",
			"std" => 'Nothing Found',
			"type" => "text"
		);

		//
		//	Sidebars Tab
		//

		$of_options[] = array(
			"name" => esc_html__( "Sidebars", 'purity' ),
			"icon" => "indent",
			"type" => "heading"
		);

		$of_options[] = array(
			 "name" => esc_html__( "Sidebar Manager", 'purity' ),
			"desc" => esc_html__( "Easily create new sidebar areas.", 'purity' ),
			"id" => $prefix . "sidebar_generator",
			"std" => array(
				array(
					'order' => '1',
					'title' => esc_html__( 'Custom Sidebar 1', 'purity' )
				)
			),
			"type" => "slider"
		);


		//
		// Responsive & Retina
		//

		$of_options[] = array(
			"name" => esc_html__( "Responsive & Retina", 'purity' ),
			'desc' => '',
			"icon" => "tablet",
			"type" => "heading"
		);

		$of_options[] = array(
			"name" => esc_html__( "Responsive Theme", 'purity' ),
			"desc" => esc_html__( "Enable/disable theme responsiveness.", 'purity' ),
			"id" => $prefix . "theme_responsive",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$of_options[] = array(
			"name" => esc_html__( "Retina Icons", 'purity' ),
			"desc" => esc_html__( "Enable/disable retina icons.", 'purity' ),
			"id" => $prefix . "theme_retina",
			"type" => "select",
			"std" => 'yes',
			"options" => array(
				"yes" => esc_html__( "Yes", 'purity' ),
				"no" => esc_html__( "No", 'purity' ),
			)
		);

		$is_purity_upgrade = purity_is_upgrade();

		//
		// Help Tab
		//

		$of_options[] = array(
			"name" => esc_html__( "Help", 'purity' ),
			"icon" => "support",
			"type" => "heading"
		);

		$of_options[] = array(
			 "name" => esc_html__( "Help", 'purity' ),
			"std" => esc_html__( "If you need help, please contact us via our Support Center: ", 'purity' ) . '<a href="https://veented.ticksy.com" target="_blank">https://veented.ticksy.com</a>',
			"id" => $prefix . "help_info",
			"type" => "info"
		);

		if ( $is_purity_upgrade ) {
			$of_options[] = array(
				 "name" => esc_html__( "Migration", 'purity' ),
				"std" => esc_html__( 'If you would like to migrate the options from the old Theme Options panel, please visit the "Migrate Options" tab.', 'purity' ),
				"id" => $prefix . "help_migrate",
				"type" => "info"
			);
		}

		$of_options[] = array(
			 "name" => esc_html__( "Plugin Updates", 'purity' ),
			"icon" => "cloud-download",
			"type" => "heading"
		);

		$of_options[] = array(
			 "name" => esc_html__( "Plugin Updates", 'purity' ),
			"std" => esc_html__( "To get a latest version of premium plugins bundled with the theme, you don't have to wait for the theme update anymore. Just visit our", 'purity' ) . " <a href='https://plugins.veented.com/' target='_blank'>Veented Plugins</a> " . esc_html__( "service to get an instant access to the latest version of premium bundled plugins.", 'purity' ),
			"id" => $prefix . "plugin_updates",
			"type" => "info"
		);

		//
		// Backup Tab
		//

		$of_options[] = array(
			 "name" => esc_html__( "Backup", 'purity' ),
			"icon" => "repeat",
			"type" => "heading"
		);

		$of_options[] = array(
			 "name" => esc_html__( "Backup and Restore Options", 'purity' ),
			"id" => "of_backup",
			"std" => "",
			"type" => "backup",
			"desc" => esc_html__( 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.', 'purity' ),
		);

		$of_options[] = array(
			 "name" => esc_html__( "Transfer Theme Options Data", 'purity' ),
			"id" => "of_transfer",
			"std" => "",
			"type" => "transfer",
			"desc" => esc_html__( 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options"', 'purity' ),
		);



		if ( $is_purity_upgrade ) {

			//
			// Migrate Options
			//

			$of_options[] = array(
				 "name" => esc_html__( "Migrate Options", 'purity' ),
				"icon" => "repeat",
				"type" => "heading"
			);

			$of_options[] = array(
				 "name" => esc_html__( "Migrate Options", 'purity' ),
				"id" => "migrate_options",
				"std" => "",
				"type" => "migrate_button",
				"desc" => esc_html__( 'You can use this button to import options from the previous Purity Theme Options panel. Please note that some options may not get imported perfectly and will need to be "recreated" manually.', 'purity' ),
			);

		}

	}

}

?>
