<?php

/**
 * Theme Dynamic Stylesheet
 */

header("Content-type: text/css;");

$prefix = "st_";

if( purity_get_option('theme_color')){ ?>

a,#breadcrumbs li a:hover,.topbar-left a:hover,.woocommerce #wrapper .product-meta a.add_to_cart_button:hover,.woocommerce #wrapper div.product-meta > a:hover,.vntd-language-selector li a:hover,.star-rating > span:before,#wrapper .nav-cart-products .widget_shopping_cart li a:hover,.product-filters li ul li a:hover,.price ins span.amount,.amount,.portfolio li h4.title:hover,.home_tagline h1 a,.nav ul li.current > a,.nav ul li:hover > a,.tweet .twitter-content a,#footer ul.recent-posts a:hover,.nav ul li.current > a:hover,.slider .nivo-caption a,.title a:hover,.nav > div > ul li:hover > a,.nav > div > ul li.current-menu-item > a,.nav > div > ul li.current-menu-item > a:hover,#wrapper .current_page_item a,.comments-nr a:hover,.comments-nr a:hover .bold,.pagination a:hover,.top a:hover,.filter li.current a,.recent-posts li:hover strong,.nav ul li.current-menu-item > a,#recent-posts h5 a:hover,#recent-posts span.post-info a:hover,.nav ul li.current-menu-parent > a,.nav ul li.current-menu-item > a:hover,.nav ul li.current-menu-parent > a:hover,.post-info p a:hover,.post-meta a:hover,.vntd-filter li a.selected { color: <?php echo purity_get_option( 'theme_color' ); ?>;  }

.woocommerce #wrapper span.onsale {
	background-color:<?php echo esc_html( purity_get_option( 'theme_color' ) ); ?>;
}

::selection, .progress-bar-theme div,.woocommerce #wrapper .widget_price_filter .ui-slider .ui-slider-range { background:<?php echo purity_get_option( 'theme_color' ); ?>; }
<?php } ?>

a:hover,.sidebar_item ul li a:hover,.home_tagline h1 a:hover,.tweet .twitter-content a:hover { color: <?php echo esc_html( purity_get_option( 'hover_color' ) ); ?>; ?>  }

<?php if(purity_get_option('bg_color') || purity_get_option('bg_img') ){ ?>
body { background: <?php echo esc_html( purity_get_option( 'bg_color' ) ); ?> url(<?php echo esc_url( purity_get_option( 'bg_img' ) ); ?>) repeat top center <?php if(purity_get_option( 'bg_style' ) == 'yes' ){echo "fixed";} ?> !important; }
<?php } ?>

<?php if(purity_get_option('nav_margin')){ ?>
.nav { margin-top:<?php echo esc_html( purity_get_option('nav_margin') ); ?>px; }
<?php }
 if(purity_get_option('body_color')){ ?>
body { color:<?php echo esc_html( purity_get_option('body_color') ); ?>; }
<?php }

//
// Font Sizes
//

$fs = "{font-size:";
$px = "px;}";

if(purity_get_option('fs_body')){
	echo "body". $fs . esc_html( purity_get_option('fs_body') ) . $px;
}if(purity_get_option('fs_nav')){
	echo ".nav > div > ul li". $fs . esc_html( purity_get_option('fs_nav') ) . $px;
}if(purity_get_option('fs_ht')){
	echo ".home_tagline h1". $fs . esc_html( purity_get_option('fs_ht') ) . $px;
}if(purity_get_option('fs_h1')){
	echo "h1". $fs . esc_html( purity_get_option('fs_h1') ) . $px;
}if(purity_get_option('fs_h2')){
	echo "h2". $fs . esc_html( purity_get_option('fs_h2') ) . $px;
}if(purity_get_option('fs_h3')){
	echo "h3". $fs . esc_html( purity_get_option('fs_h3') ) . $px;
}if(purity_get_option('fs_h4')){
	echo "h4". $fs . esc_html( purity_get_option('fs_h4') ) . $px;
}if(purity_get_option('fs_h5')){
	echo "h5". $fs . esc_html( purity_get_option('fs_h5') ) . $px;
}if(purity_get_option('fs_h6')){
	echo "h6". $fs . esc_html( purity_get_option('fs_h6') ) . $px;
}

//
// Font Families
//

// Heading Font

if(purity_get_option('font_heading') == "League Gothic"){
?>

@font-face {
    font-family: 'League Gothic';
    src: url('<?php echo get_template_directory_uri() . '/css/font/'; ?>League_Gothic-webfont.eot');
    src: url('<?php echo get_template_directory_uri() . '/css/font/'; ?>League_Gothic-webfont.eot?#iefix') format('embedded-opentype'),
         url('<?php echo get_template_directory_uri() . '/css/font/'; ?>League_Gothic-webfont.woff') format('woff'),
         url('<?php echo get_template_directory_uri() . '/css/font/'; ?>League_Gothic-webfont.ttf') format('truetype'),
         url('<?php echo get_template_directory_uri() . '/css/font/'; ?>League_Gothic-webfont.svg#LeagueGothicRegular') format('svg');
    font-weight: normal;
    font-style: normal;
}

.nav > div > ul li { font-size:22px; }
.home_tagline h1 { font-size:32px; }
h1 { font-size:30px; }
.woocommerce #wrapper .related.products h2,
.date .bold, .comments-nr .bold,
h2 { font-size:28px; }
h3 { font-size:26px; }
.woocommerce #wrapper div.product .woocommerce-tabs .panel h2,
.woocommerce #wrapper ul.products li.product h3,
h4,
#wrapper .flex-caption,
.over span { font-size:22px; }
.tagline h1 { font-size:32px; }


<?php
}

if ( purity_get_option('font_heading') ) { ?>

.nav > div > ul,h1,h2,h3,h4,.home_tagline h1,.tagline h1,.over span,.dropcap1,.dropcap2,.bold,.flex-caption {
	font-family:'<?php echo esc_html( purity_get_option('font_heading') ) ?>', Helvetica, Arial;
	text-transform:none;
	text-transform:uppercase;
	font-weight:normal;
}

<?php }

if(purity_get_option('font_body') && purity_get_option('font_body') != "Helvetica/Arial"){
?>

body {
	font-family: '<?php echo esc_html( purity_get_option('font_body') ) ?>',Helvetica,Arial;
}

<?php } ?>
