<?php

if ( ! function_exists( 'vntd_blog_template' ) ) {
	function vntd_blog_template($blog_template,$page_layout) {
		global $post;

		$excerpt_limit = 240;

		if ( purity_get_option( 'blog_index_content' ) == 'full' ) {
			$index_content_type = 'full';
		} else {
			$index_content_type = 'excerpt';

			// Custom excerpt
			if ( purity_get_option( 'blog_excerpt_limit' ) != '' && is_numeric( purity_get_option( 'blog_excerpt_limit' ) ) ) {
				$excerpt_limit = intval( purity_get_option( 'blog_excerpt_limit' ) );
			}

		}

		if($blog_template == 'medium_thumbnail') { ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="post-content">
			        <?php vntd_post_info(2); ?>
			        <div class="post-entry">
			            <?php vntd_blog_index_gallery(2,$page_layout); ?>
			            <h1 class="title"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a></h1>
			            <?php
										if ( ! is_single() && $index_content_type != 'full' ) {
											echo vntd_excerpt( $excerpt_limit, true, 'post-text' );
										} else {
											the_content();
										}
									?>
			        </div>
				</div>
			</div>
		<?php } elseif($blog_template == 'small_thumbnail') { ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			    <?php vntd_post_info(3,$page_layout); ?>
			    <div class="post-entry">
			        <h1 class="title"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a></h1>
			        <?php vntd_post_meta(false); ?>
							<?php
								if ( ! is_single() && $index_content_type != 'full' ) {
									echo vntd_excerpt( $excerpt_limit, true, 'post-text' );
								} else {
									the_content();
								}
							?>
			    </div>
			</div>
		<?php } else { ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<?php vntd_blog_index_gallery(1,$page_layout); ?>
			    <div class="post-content">
			    	<?php vntd_post_info(1); ?>
			        <div class="post-entry">
			            <h1 class="title"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a></h1>
									<?php
										if ( ! is_single() && $index_content_type != 'full' ) {
											echo vntd_excerpt( $excerpt_limit, true, 'post-text' );
										} else {
											the_content();
										}
									?>
			        </div>
			    </div>
			</div>
		<?php }
	}
}

if ( ! function_exists( 'vntd_blog_url' ) ) {
	function vntd_blog_url(){
		echo get_permalink(get_option('page_for_posts'));
	}
}

if ( ! function_exists( 'vntd_post_info' ) ) {
	function vntd_post_info($style,$page_layout = null) {
		global $post;
		if ( ! function_exists( 'icl_get_languages' ) ){
			$tr_by = vntd_translate('by');
			$tr_in = vntd_translate('in');
			$tr_comments = vntd_translate('comments');
		}else{
			$tr_by = esc_html__('by', 'purity');
			$tr_in = esc_html__('in', 'purity');
			$tr_comments = esc_html__('comments','purity');
		}
	?>
		<div class="post-info">
			<?php if($style == 3) { ?>
			<?php vntd_blog_index_gallery(3,$page_layout); ?>
			<?php } ?>
		    <span class="date"><p class="bold"><?php the_time('M d'); ?></p><?php the_time('Y'); ?></span>
		    <span class="comments-nr"><a href="<?php esc_url( the_permalink() ); ?>#comments"><p class="bold"><?php comments_number('0','1','%'); ?></p> <?php echo esc_textarea($tr_comments); ?></a></span>
		    <?php if($style != 3) { ?>
			    <p class="vntd-post-author"><span><?php echo esc_textarea($tr_by); ?></span> <?php the_author_posts_link(); ?></p>
			    <p class="vntd-post-categories"><span><?php echo esc_textarea($tr_in); ?></span> <?php the_category(', '); ?></p>
			    <?php vntd_post_tags(); ?>
		    <?php } ?>
		</div>
		<?php
	}
}

if ( ! function_exists( 'vntd_post_meta' ) ) {
	function vntd_post_meta($short = NULL) {
		if(!function_exists('icl_get_languages')){
			$tr_posted_by = vntd_translate('posted_by');
			$tr_by = vntd_translate('by');
			$tr_on = vntd_translate('on');
			$tr_posted_in = vntd_translate('posted_in');
		}else{
			$tr_posted_by = esc_html__('Posted by', 'purity');
			$tr_by = esc_html__('by', 'purity');
			$tr_on = esc_html__('on', 'purity');
			$tr_posted_in = esc_html__('in', 'purity');
		}

		if(!$short) {?>
			<span class="post-meta"><?php echo esc_textarea($tr_posted_by).' '; ?><strong><?php the_author_posts_link(); ?></strong> <?php echo esc_textarea($tr_posted_in); ?> <strong><?php the_category(', '); ?></strong></span><?php
		} else {?>
			<span class="post-info"><?php echo esc_textarea($tr_by).' '; the_author_posts_link(); ?> <?php echo esc_textarea($tr_on); ?> <?php the_time('M d, Y'); ?></span>
		<?php
		}

	}
}

if ( ! function_exists( 'vntd_post_tags' ) ) {
	function vntd_post_tags(){

		$posttags = get_the_tags();
		if ($posttags) {
			echo "<p class='vntd-post-tags'><span>".purity_get_option('tr_tags')."</span> ";
			foreach($posttags as $tag) {
			  echo '<a href="' . esc_url( get_tag_link( $tag->term_id ) ) . '">';
			  echo esc_textarea($tag->name).' ';
			  echo "</a>";
			}
	  	echo "</p>";
		}
	}
}

if ( ! function_exists( 'vntd_blog_index_gallery' ) ) {
	function vntd_blog_index_gallery( $layout, $page_layout ) {

		global $post;
		$gallery_type = get_post_meta( $post->ID, 'pp_gallery_type', true );

		if ( $layout == 1 ) {
			$width = 690;
			$height = 240;
		} elseif ( $layout == 2 ) {
			$width = 494;
			$height = 200;
		} else {
			$width = 460;
			$height = 290;
		}

		if ( $page_layout == "fullwidth" ) {
			if ( $layout == 1 ){
				$width = 960;
				$height = 320;
			} elseif ( $layout == 2 ) {
				$width = 760;
				$height = 250;
			}
		}

		$width = apply_filters( 'purity_blog_index_gallery_width', $width, $layout, $page_layout );
		$height = apply_filters( 'purity_blog_index_gallery_height', $height, $layout, $page_layout );

		vntd_post_gallery( $width, $height, true );

	}
}

if ( ! function_exists( 'vntd_get_single_img_size' ) ) {
	function vntd_get_single_img_size($attr = NULL) {
		$width = 690;
		$height = 290;

		if(vntd_get_page_layout() == "fullwidth") {
			$width = 960;
			$height = 330;
		}

		if($attr == "height") {
			return $height;
		} else {
			return $width;
		}
	}
}
