<?php

//
// General Purity functions file
//

//
// Header
//

// Top Bar

if ( ! function_exists( 'vntd_topbar' ) ) {
	function vntd_topbar() { ?>
	<div id="topbar">
		<div class="inner">
			<div class="topbar-left">
			<?php
			do_action( 'purity_top_bar_left' );
			$topbar_text = purity_get_option('topbar_text');
			if ( has_nav_menu('vntd_topbar_menu') ) {
				wp_nav_menu( array( 'theme_location' => 'vntd_topbar_menu' ) );
			} elseif( $topbar_text ) {
				echo '<div class="topbar-text">' . do_shortcode( wp_kses( $topbar_text, purity_kses() ) ) . '</div>';
			}
			do_action( 'purity_top_bar_left_end' );
			?>
			</div>

			<div class="topbar-right">
				<?php do_action( 'purity_top_bar_right' ); ?>
				<?php if ( purity_get_option('topbar_social') == 'yes' ) { ?>
				<div class="topbar-section topbar-social social-icons">
					<?php vntd_print_social_icons(); ?>
				</div>
				<?php } ?>
				<?php do_action( 'purity_top_bar_right_end' ); ?>
			</div>
		</div>
	</div>
	<?php
	}
}


// Responsive/Mobile Site Navigation
if ( ! function_exists( 'vntd_responsive_select_nav' ) ) {
	function vntd_responsive_select_nav() {

		$locations = get_nav_menu_locations();

		if(isset($locations[ 'custom_menu' ])) {

			$menu = wp_get_nav_menu_object( $locations[ 'custom_menu' ] );

			$items = wp_get_nav_menu_items($menu->term_id);
			if(!$items) return false;
			if(!function_exists('icl_get_languages')){
				$tr_select_page = esc_textarea(purity_get_option('tr_select_page'));
			}else{
				$tr_select_page = esc_html__('Select page:', 'purity');
			}

			if(!has_nav_menu('custom_menu')) {
				$tr_select_page = esc_html__("No menu assigned, visit Appearance / Menus.", 'purity');
			}
			echo "<select id='page_id' name='page_id'>";
			echo "<option>".$tr_select_page."</option>";
			   foreach ($items as $list){
					  if($list->menu_item_parent != "0"){
					  echo "<option value=" . esc_url( $list->url ) . ">&nbsp; &nbsp;". esc_html( $list->title ) . "</option>";
					  }
					  else {
					  echo "<option value=" . esc_url( $list->url ) . ">". esc_html( $list->title ) . "</option>";
					  }

			   }
			echo "</select>";

		}
	}
}

// Social Icons

if ( ! function_exists( 'vntd_print_social_icons' ) ) {
	function vntd_print_social_icons($location = null) {

		echo '<div class="social">';
			foreach (range(1, 19) as $v ){
				if(purity_get_option("social_".$v)) :
				echo '<a href="' . esc_url( purity_get_option( "social_" . $v ) ) . '" target="_blank" class="social-'.$v.'"></a>';
				endif;
			}
		echo '</div>';

	}
}

// Page Header

if ( ! function_exists( 'vntd_page_header' ) ) {
	function vntd_page_header() {
		global $post;
		$type = get_post_meta(get_the_ID(), 'page_header', true);
		if ( ! $type || $type == '' ) $type = "default";

		if(is_page_template('template-home.php') && purity_get_option('slider_enable') == 'yes' ) {
		 return false;
		}
		if($type != "none") { // if not home template

			$type = get_post_meta(get_the_ID(), 'page_header', true);
			echo '<div id="subheader" class="subheader-' . esc_attr( $type ) . '">';
			if($type == "homepageslider" || is_page_template('template-home.php') && $type == "default" && purity_get_option('slider_enable') == 'no' ) {
				echo '<div class="subheader-flexslider inner">';
				include get_template_directory() . '/includes/slider.php';
				echo '</div>';
			} elseif ( $type == "revslider" ) {
				echo '<div class="purity-home-slider purity-home-revslider revslider-wrap">';
				putRevSlider(get_post_meta($post->ID, 'header_slider_rev_alias', true));
				echo '</div>';
			} elseif ( $type == "layerslider" ) {

				$layerslider_id = get_post_meta( get_the_ID(), 'header_layerslider_id', true );
				echo '<div class="purity-home-slider purity-home-layerslider">';
				echo do_shortcode( '[layerslider id="' . esc_attr( $layerslider_id ) . '"]' );
				echo '</div>';

			} elseif($type != "none" && !is_page_template('template-home.php')) {
				echo '<div id="page-title">';
				echo '<div class="tagline inner">';
				include get_template_directory() . '/includes/page-title.php';
				vntd_breadcrumbs();
				echo '</div>';
				echo '</div>';
			}
			echo '</div>';

		}
	}
}

// 	Breadcrumbs

if ( ! function_exists( 'vntd_breadcrumbs' ) ) {
	function vntd_breadcrumbs() {

	    if ( purity_get_option('breadcrumbs_enable') != 'no' ) {

	        echo '<ul id="breadcrumbs" class="page-title-side">';
	        echo '<li><a href="';
	        echo esc_url( home_url('/') );
	        echo '">';
	        bloginfo('name');
	        echo '</a></li>';
			$product = false;
			if(class_exists('Woocommerce')) {
				if(is_product()) $product = true;
			}
	        if (is_category()){
	//            $catTitle = single_cat_title( "", false );
	//            $cat = get_cat_ID( $catTitle );
	//            echo "<li>". get_category_parents( $cat, TRUE, "  " ) ."</li>";
	        }elseif(is_single() && get_post_type() == 'portfolio') {
						if ( purity_get_option('portfolio_page') && get_permalink( purity_get_option('portfolio_page') ) ) {
							echo '<li>';
		        	echo '<a href="' . esc_url( get_permalink(purity_get_option('portfolio_page') ) ) . '">' . esc_html( get_the_title( purity_get_option('portfolio_page') ) ) . '</a>';
		        	echo '</li>';
						}
	        }elseif (is_single() && !$product){
	            if ( is_day() ) {
	                printf( '%s', get_the_date() );
	            } elseif ( is_month() ) {
	                printf( '%s', get_the_date( 'F Y' ) );
	            } elseif ( is_year() ) {
	                printf( '%s', get_the_date( 'Y' ) );
	            } else {
								$frontpage_id = get_option('page_for_posts');
								if ( $frontpage_id && get_permalink($frontpage_id) ) {
									echo '<li>';
		            	echo '<a href="' . esc_url( get_permalink($frontpage_id) ) . '">'. esc_html( get_the_title($frontpage_id) ) . '</a>';
		              echo '</li>';
								}

	            }
	        }
	        if (class_exists('Woocommerce')) {
		        if(is_woocommerce() || is_product() || is_shop() || is_cart() || is_checkout() || is_account_page()) {
		        	echo '<li><a href="' . esc_url( get_permalink(get_option('woocommerce_shop_page_id') ) ) . '">'. esc_html( get_the_title(get_option('woocommerce_shop_page_id')) ) . '</a></li>';
		        }
		    }

	        if (is_single()) {
	            echo '<li>';
	            the_title();
	            echo '</li>';
	        }

	        if (is_page()) {
	        	echo '<li>';
	            echo the_title();
	            echo '</li>';
	        }

	        if (is_tag()) {
	        	echo '<li>'.esc_html__('Archives','purity').'</li>';
	        	echo '<li>'.esc_html__('Posts tagged by','purity').' "';
	            echo esc_html( single_tag_title('', false) );
	            echo '"</li>';
	        }

	        if (is_category()) {
	        	echo '<li>'.esc_html__('Archives','purity').'</li>';
	        	echo '<li>'.esc_html__('Posts by category','purity').' "';
	            echo  esc_html( single_cat_title('', false) );
	            echo '"</li>';
	        }


	        if (is_search()) {
	            echo '<li>'.esc_html__('Search results for','purity').' "' . esc_html( get_search_query() ) . '"</li>';
	        }

	        if (is_home()){
	            global $post;
	            $page_for_posts_id = get_option('page_for_posts');
	            if ( $page_for_posts_id ) {
	                $post = get_page($page_for_posts_id);
	                setup_postdata($post);
	                echo '<li>';
	                the_title();
	                echo '</li>';
	                rewind_posts();
	            }
	        }

	        echo '</ul>';
	    }
	}
}

// Page Title
//

if ( ! function_exists( 'vntd_page_title' ) ) {
	function vntd_page_title($type){

		global $post;

		switch ($type) {
			case 'title':
			echo get_the_title($post->ID);
		break;
			case 'tagline':
			$tagline = get_post_meta($post->ID, 'page_tagline', true);
			if($tagline){
				echo "<span>". esc_html( $tagline ) . "</span>";
			}
		break;
			case 'blog_title':
			$frontpage_id = get_option('page_for_posts');
			if($frontpage_id) {
				echo esc_html( get_the_title($frontpage_id) );
			} else {
				esc_html_e('Blog','purity');
			}
		break;
			case 'blog_tagline':
			$frontpage_id = get_option('page_for_posts');
			if($frontpage_id) {
				echo "<span>". esc_html( get_post_meta($frontpage_id, 'page_tagline', true) ) . "</span>";
			}
		break;
		}
	}
}

if ( ! function_exists( 'vntd_new_excerpt_length' ) ) {
	function vntd_new_excerpt_length( $length ) {
		return 12;
	}
	add_filter('excerpt_more', 'vntd_new_excerpt_more');
}

if ( ! function_exists( 'vntd_new_excerpt_more' ) ) {
	function vntd_new_excerpt_more($more) {
		return '...';
	}
	add_filter('excerpt_length', 'vntd_new_excerpt_length');
}

if ( ! function_exists( 'vntd_limited_content' ) ) {
	function vntd_limited_content(){
		global $post;
		$content = get_the_content($post->ID);
		echo substr($content, 0, 90)."...";
	}
}

if ( ! function_exists( 'vntd_translate' ) ) {
	function vntd_translate( $phrase ) {
		return esc_textarea( purity_get_option( 'tr_'. $phrase ) );
	}
}

if ( ! function_exists( 'vntd_post_gallery' ) ) {
	function vntd_post_gallery( $width, $height = NULL, $index = NULL ) {
		global $post;
		require_once get_template_directory() . '/includes/aq_resizer.php';

		$gallery_type = get_post_meta($post->ID, 'pp_gallery_type', true);
		$gallery_images = get_post_meta($post->ID, 'vntd_gallery_images', true);
		$ids = explode(",", $gallery_images);

		$animation = purity_get_option('slider_effect');
		if($animation != "fade" && $animation != "slide"){
			$animation = "fade";
		}

		$full_size = 'large';

		if($gallery_type == "slider" && $gallery_images || $gallery_type == "slider" && get_post_meta($post->ID, 'pp_image-2', true)){
	    	// = = = = = = = = = = = = =
	    	// =====  Slider      ======
	    	// = = = = = = = = = = = = =

			$rand_id = rand(99,9999);
			?>
			<script type="text/javascript">
			jQuery(window).load(function() {
				jQuery('#slider_<?php echo esc_attr( get_the_ID() ); ?>').flexslider({
					animationSpeed: <?php echo esc_attr( purity_get_option('slider_speed') ); ?>,
					slideshowSpeed: <?php echo esc_attr( purity_get_option('slider_pause') ); ?>,
					directionNav: <?php echo esc_attr( purity_get_option('slider_direction_nav') ); ?>,
					controlNav: true,
					animation: '<?php esc_attr( $animation ); ?>',
					smoothHeight: true
				});
			});
			</script>

			<div id="slider_<?php echo esc_attr( get_the_ID() ); ?>" class="flexslider">
			    <ul class="slides">
			    <?php

			    if($gallery_images) { // New 3.0 Gallery
			    	foreach($ids as $id) {
			    		$thumb = wp_get_attachment_image_src($id, 'full');
			    		echo '<li><img src="'. esc_url(vntd_crop_img($thumb[0], $width, $height)) .'" alt></li>';
			    	}
			    } else { // Old Gallery
			    	foreach (range(1, $image_range) as $v ){
			    		if(get_post_meta($post->ID, 'pp_image-'.$v, true)) :
			    		echo '<li><img src="'. esc_url(vntd_crop_img(get_post_meta($post->ID, 'pp_image-'.$v, true), $width, $height)) .'" alt></li>';
			    		endif;
			    	}
			    }

				?>
				</ul>
			</div>
			<?php
		}elseif($gallery_type == "list" && !$index && $gallery_images || $gallery_type == "list" && !$index && get_post_meta($post->ID, 'pp_image-2', true)){

	    	// = = = = = = = = = = = = =
	    	// =====  Image List  ======
	    	// = = = = = = = = = = = = =

			echo '<div class="image-list">';

			if($gallery_images) { // New 3.0 Gallery
				foreach($ids as $id) {
					$thumb = wp_get_attachment_image_src($id, 'full');
					echo '<img src="'. esc_url(vntd_crop_img($thumb[0], $width, $height)) .'" alt>';
				}
			} else { // Old Gallery
				foreach (range(1, $image_range) as $v ){
					if(get_post_meta($post->ID, 'pp_image-'.$v, true)) :
					echo '<img src="'. esc_url(vntd_crop_img(get_post_meta($post->ID, 'pp_image-'.$v, true), $width, $height)) .'" alt>';
					endif;
				}
			}

			echo '</div>';

		}elseif($gallery_type == "list_lightbox" && !$index && $gallery_images || $gallery_type == "list_lightbox" && !$index && get_post_meta($post->ID, 'pp_image-2', true)){

			// = = = = = = = = = = = = = = = = = = =
			// =====  Image List w/ Lightbox  ======
			// = = = = = = = = = = = = = = = = = = =

			echo '<div class="image-list"><div class="gallery clearfix">';

			if($gallery_images) { // New 3.0 Gallery
				foreach($ids as $id) {
					$thumb = wp_get_attachment_image_src($id, $full_size);
					echo '<a href="' . esc_url( $thumb[0] ) . '" rel="gallery[gallery'. $post->ID .']"><img src="'. esc_url( vntd_crop_img($thumb[0], $width, $height) ) .'" alt></a>';
				}
			} else { // Old Gallery
				foreach (range(1, $image_range) as $v ){
					if(get_post_meta($post->ID, 'pp_image-'.$v, true)) :
					echo '<a href="' . esc_url( get_post_meta($post->ID, 'pp_image-'.$v, true) ) . '" rel="gallery[gallery'. esc_attr( $post->ID ) .']"><img src="'. esc_url( vntd_crop_img(get_post_meta($post->ID, 'pp_image-'.$v, true), $width, $height) ) .'" alt></a>';
					endif;
				}
			}

			echo '</div></div>';
		}elseif($gallery_type == "lightbox" && !$index || $gallery_type == "direct"){

			// = = = = = = = = = = = = =
			// =====  Lightbox    ======
			// = = = = = = = = = = = = =

			?>
			<div class="single-portfolio-lightbox gallery clearfix">

			<?php
			if(has_post_thumbnail($post->ID) && $index) { // If has post thumbnail and is an index page
				$first_image_arr = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
				$first_image = $first_image_arr[0];
			} else {
				if($gallery_images) { // 3.0 Gallery
					$first_image_arr = wp_get_attachment_image_src($ids[0], 'full');
					$first_image = $first_image_arr[0];
				} else {
					$first_image = get_post_meta($post->ID, 'pp_image-1', true);
				}
			}

			?>

			<a <?php vntd_pp_link(); ?>>
			<img src="<?php echo esc_url( vntd_crop_img($first_image, $width, $height) ); ?>" alt></a>

			</a>
			<?php

			echo '<div class="hidden">';

			if($gallery_images) { // New 3.0 Gallery

				$ids = explode(',',$gallery_images);

				if(!has_post_thumbnail($post->ID) && $index) {
					foreach($ids as $id) {
						$thumb = wp_get_attachment_image_src($id, $full_size);
						echo '<a href="' . esc_url( $thumb[0] ).'" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="'. esc_attr( get_post_field('post_excerpt', $id) ) . '"></a>';
					}
				} else {
					foreach(array_slice($ids,1) as $id) {
						$thumb = wp_get_attachment_image_src($id, $full_size);
						echo '<a href="' . esc_url( $thumb[0] ) . '" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="'. esc_attr( get_post_field('post_excerpt', $id) ) . '"></a>';
					}
				}

			} else { // Old Gallery
				foreach (range(2, $image_range) as $v ){
					if(get_post_meta($post->ID, 'pp_image-'.$v, true)) :
					echo '<a href="'. esc_url( get_post_meta($post->ID, 'pp_image-'.$v, true) ) .'" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="'. esc_attr( get_the_title($post->ID) ) . '"></a>';
					endif;
				}
			}

			echo '</div>';

			?>

			</div>
		<?php
		} else {

			$thumb = false;

			$img_url = '';

			if ( has_post_thumbnail( $post->ID ) ) {
				$thumb_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
				$thumb = $thumb_arr[0];
				$img_url = aq_resize($thumb,$width,$height,true,true,true);

			} elseif(get_post_meta($post->ID, 'vntd_gallery_images', true)) {
				$vntd_gallery_images = get_post_meta($post->ID, 'vntd_gallery_images', true);

				if(strpos($vntd_gallery_images,',') !== false) {
					$ids = explode(",", $vntd_gallery_images);
					$thumb_arr = wp_get_attachment_image_src($ids[0], 'full');
				} else {
					$thumb_arr = wp_get_attachment_image_src($vntd_gallery_images, 'full');
				}

				$thumb = $thumb_arr[0];
				$height = 200;
				$height = apply_filters( 'purity_post_gallery_image_height', $height );
				$img_url = aq_resize($thumb,$width,$height,true,true,true);
			}

			if ( $img_url != '' ) {
				echo '<div class="post-image post-'.$post->ID.'"><a href="' . esc_url( get_permalink($post->ID) ) . '"><img src="' . esc_url( $img_url ) . '" alt="' . esc_attr( get_the_title( $post->ID ) ) . '"></a></div>';
			}
		}
		// End if gallery exists

	}
}

if ( ! function_exists( 'vntd_pp_link' ) ) {
	function vntd_pp_link(){

		global $post;

		$gallery_images = get_post_meta($post->ID, 'vntd_gallery_images', true);

		if($gallery_images) {
			$ids = explode(",", $gallery_images);
			$thumb_arr = wp_get_attachment_image_src($ids[0], 'full');
			$thumb = $thumb_arr[0];
		} else {
			$thumb = get_post_meta($post->ID, 'pp_image-1', true);
		}

		echo 'href="' . esc_url( $thumb ) . '" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="' . esc_attr( get_the_title( $post->ID ) ) . '"';

	}
}

if ( ! function_exists( 'vntd_get_page_layout' ) ) {
	function vntd_get_page_layout($blog_index = NULL) {

		global $post;
		$page_layout = get_post_meta($post->ID, 'page_layout', true); // Get Page Layout
		if(!$page_layout) {
			$page_layout = 'sidebar_right';
		}
		return $page_layout;
	}
}

if ( ! function_exists( 'vntd_global_template' ) ) {
	function vntd_global_template() {

		$layout = purity_get_option('global_template');

		if ( $layout == "Fullwidth" || $layout == 'fullwidth' ) {
			return "fullwidth";
		} elseif ( $layout == "Left Sidebar" || $layout == 'sidebar_left' ) {
			return 'sidebar_left';
		} else {
			return 'sidebar_right';
		}
	}
}

if ( ! function_exists( 'vntd_pp_enabled' ) ) {
	function vntd_pp_enabled( $action ){

		global $post;
		$gallery_type = get_post_meta(get_the_ID(), 'pp_gallery_type', true);
		$portfolio_type = get_post_meta(get_the_ID(), 'portfolio_type', true);

		if ( $action == "href" ) {
			if ( $portfolio_type == "link" ) {
				echo esc_url( get_post_meta(get_the_ID(), 'post_link', true) );
			}elseif($gallery_type == "direct"){
				$youtube = get_post_meta(get_the_ID(), 'video_youtube', true);
				$vimeo = get_post_meta(get_the_ID(), 'video_vimeo', true);
				if($youtube || $vimeo){
					$size = '&width='. esc_attr( get_post_meta(get_the_ID(), 'vlightbox_width', true) ) .'&height='. esc_attr( get_post_meta(get_the_ID(), 'vlightbox_height', true) );
				}
				if(!$youtube && !$vimeo){

					$gallery_images = get_post_meta(get_the_ID(), 'vntd_gallery_images', true);
					if($gallery_images) {
						$ids = explode(",", $gallery_images);
						$thumb_arr = wp_get_attachment_image_src($ids[0], 'large');
						echo esc_url( $thumb_arr[0] );
					} else {
						$image_name = 'pp_image-1';
						echo esc_url( get_post_meta(get_the_ID(), $image_name, true) );
					}

				}elseif($youtube && !$vimeo){
					echo 'http://www.youtube.com/watch?v='.$youtube.$size;
				}else{
					echo 'http://vimeo.com/'.$vimeo.$size;
				}
			}else{ // Direct lightbox
				echo esc_url( the_permalink(get_the_ID()) );
			}
		}elseif($action == "rel" && $portfolio_type != "link"){
			if($gallery_type == "direct"){
				echo 'rel="gallery[gallery'. esc_attr( get_the_ID() ) .']" title="'. esc_attr( get_the_title(get_the_ID()) ) . '"';
			}
		}
	}
}

if ( ! function_exists( 'vntd_pp_enabled_images' ) ) {
	function vntd_pp_enabled_images(){

		global $post;
		$gallery_type = get_post_meta($post->ID, 'pp_gallery_type', true);

		if($gallery_type == "direct" || !$gallery_type){
			echo '<div class="hidden">';
			foreach (range(3, 30) as $v ){
				if(get_post_meta($post->ID, 'pp_image-'.$v, true)) :
				echo '<a href="'. esc_url( get_post_meta($post->ID, 'pp_image-'.$v, true) ) .'" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="' . esc_attr( get_the_title($post->ID) ).'"></a>';
				endif;
			}
			echo '</div>';
		}

	}
}

if ( ! function_exists( 'vntd_pp_images' ) ) {
	function vntd_pp_images() {

		global $post;
		$gallery_type = get_post_meta($post->ID, 'pp_gallery_type', true);
		$vntd_gallery_images = get_post_meta($post->ID, 'vntd_gallery_images', true);

		if($gallery_type != "direct") {
			return false;
		}

		$slice = true;
		if(has_post_thumbnail()) {
			$slice = false;
		}

		if($vntd_gallery_images) {
			if(strpos($vntd_gallery_images,',') === false && $slice) { // has more than one image

				return false;

			} elseif(strpos($vntd_gallery_images,',') !== false || strpos($vntd_gallery_images,',') === false && !$slice) {

				echo '<div class="hidden">';

				if(strpos($vntd_gallery_images,',') !== false) {
					$ids = explode(",", $vntd_gallery_images);
					$ids = array_slice($ids,1);
					foreach($ids as $id) {
						$thumb_arr = wp_get_attachment_image_src($id, 'large');
						$thumb_img = get_post(get_post_thumbnail_id());
						echo '<a href="' . esc_url( $thumb_arr[0] ) . '" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="'. esc_attr( $thumb_img->post_excerpt ) .'"></a>';
					}
				}

				echo '</div>';

			}
		} elseif(get_post_meta($post->ID, 'pp_image-2', true)){ // Old Gallery
			echo '<div class="hidden">';
			if(!get_post_meta($post->ID, 'pp_just_thumb', true)){
			    echo '<a href="'. esc_url( get_post_meta($post->ID, 'pp_image-2', true) ) .'" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="'. esc_attr( get_the_title($post->ID) ) . '"></a>';
			}
			foreach (range(3, 30) as $v ){
				if(get_post_meta($post->ID, 'pp_image-'.$v, true)) :
				echo '<a href="'. esc_url( get_post_meta($post->ID, 'pp_image-'.$v, true) ) .'" rel="gallery[gallery'. esc_attr( $post->ID ) .']" title="'. esc_attr( get_the_title($post->ID) ) .'"></a>';
				endif;
			}
			echo '</div>';
		}

	}
}

if ( ! function_exists( 'vntd_post_thumb' ) ) {
	function vntd_post_thumb( $width, $height, $url = NULL ) {

		global $post;
		require_once get_template_directory() . '/includes/aq_resizer.php';

		if(has_post_thumbnail($post->ID)) {
			$thumb_arr = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
			$thumb = $thumb_arr[0];
		} elseif(get_post_meta($post->ID, 'vntd_gallery_images', true)) {
			$vntd_gallery_images = get_post_meta($post->ID, 'vntd_gallery_images', true);

			if(strpos($vntd_gallery_images,',') !== false) {
				$ids = explode(",", $vntd_gallery_images);
				$thumb_arr = wp_get_attachment_image_src($ids[0], 'full');
			} else {
				$thumb_arr = wp_get_attachment_image_src($vntd_gallery_images, 'full');
			}

			$thumb = $thumb_arr[0];

		} elseif(get_post_meta($post->ID, 'pp_image-1', true)) {
			$thumb = get_post_meta($post->ID, 'pp_image-1', true);
		}

		if($thumb) {
			echo vntd_crop_img($thumb,$width,$height,true);
		}

	}
}

if ( ! function_exists( 'vntd_portfolio_class' ) ) {
	function vntd_portfolio_class(){
		global $post;
	    $terms = wp_get_object_terms($post->ID, "project-type");
		foreach ( $terms as $term ) {
			echo esc_attr($term->slug) . " ";
		}
	}
}

if ( ! function_exists( 'vntd_portfolio_desc' ) ) {
	function vntd_portfolio_desc(){

		foreach (get_post_custom_values('projDesc') as $value){
			echo esc_textarea($value);
		}

	}
}

if ( ! function_exists( 'vntd_portfolio_desc_limited' ) ) {
	function vntd_portfolio_desc_limited(){

		foreach (get_post_custom_values('projDesc') as $value){
			$value = substr($value, 0, 110)."...";
			echo esc_textarea( $value );
		}

	}
}

if ( ! function_exists( 'vntd_portfolio_cats' ) ) {
	function vntd_portfolio_cats(){
		global $post;
	    $terms = wp_get_object_terms($post->ID, "project-type");
		foreach ( $terms as $term ) {
			echo '<li><a href="" data-option-value=".'. esc_attr( $term->slug ) .'">' . esc_html( $term->name ) . "</a></li>";
		}
	}
}

if ( ! function_exists( 'vntd_query_categories' ) ) {
	function vntd_query_categories(){
		global $post;

		$terms = wp_get_object_terms($post->ID, "project-type");

		$obj = new stdClass;

		foreach ( $terms as $term ) {
			$slug = $term->slug;
			$obj->$slug = $slug;
		}

		$array = (array) $obj;
		$text = implode(',', $array );

		return $text;

	}
}

//
// Get excerpt
//

if ( ! function_exists( 'vntd_excerpt' ) ) {

	function vntd_excerpt( $limit, $more = NULL, $class = NULL ) {

		global $post;
		setup_postdata( $post );

		$excerpt = explode(' ', get_the_excerpt(), $limit);

		if ( count($excerpt) >= $limit ) {
			array_pop($excerpt);
			$excerpt = implode(" ",$excerpt).'...';
		}else{
			$excerpt = implode(" ",$excerpt);
		}
		$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
		$p_class = '';
		if($class) $p_class = ' class="' . esc_attr( $class ) . '"';
		$output = '<p' .$p_class.'>' . $excerpt . '</p>';

		if ( $more ) {
			$read_more_label = vntd_translate( 'read_more' );
			if ( function_exists( 'icl_get_languages' ) ) {
				$read_more_label = esc_html__( 'Read more', 'purity' );
			}
			$output .= '<div class="post-read-more-wrap"><a href="' . esc_url( get_permalink($post->ID) ) . '" class="read-more-post">' . esc_html( $read_more_label ) . ' →</a></div>';
		}

		return $output;

	}

}

// Media view settings

if ( ! function_exists( 'vntd_media_view_settings' ) ) {
	function vntd_media_view_settings($settings, $post ) {
	    if (!is_object($post)) return $settings;
	    $shortcode = '[gallery ';
	    $ids = get_post_meta($post->ID, 'vntd_gallery_images', TRUE);
	    $ids = explode(",", $ids);

	    if (is_array($ids)) {
				$shortcode .= 'ids="' . esc_attr( implode(',',$ids) ) . '"]';
			} else {
				$shortcode .= 'id="' . esc_attr( $post->ID ) . '"]';
			}

	    $settings['shibaMlib'] = array('shortcode' => $shortcode);
	    return $settings;

	}

	add_filter( 'media_view_settings','vntd_media_view_settings', 10, 2 );
}

// Kses

if ( ! function_exists( 'purity_kses' ) ) {
	function purity_kses() {
		$allowed_html_tags = array(
			'a' => array(
				'href' => array(),
				'alt' => array(),
				'text' => array(),
				'class' => array(),
				'target' => array()
			),
			'p' => array(
				'class' => array()
			),
			'br' => array(),
			'span' => array(
				'class' => array(),
			),
			'span' => array(
				'class' => array()
			),
			'i' => array(
				'class' => array()
			),
			'strong' => array(),
			'br' => array(),
			'img' => array(
				'src' => array(),
				'title' => array(),
				'alt' => array(),
				'srcset' => array(),
				'target' => array()
			)
		);
		return apply_filters( 'purity_allowed_html_tags', $allowed_html_tags );
	}
}

// Theme Update check

if ( ! function_exists( 'purity_core_metaboxes' ) ) {

	//
	// Admin upgrade notice
	//

	if ( ! function_exists( 'purity_upgrade_admin_notice' ) ) {
		function purity_upgrade_admin_notice() {
			if ( function_exists( 'purity_core_shortcodes' ) ) {
				// Check if the notice was already dismissed
				if ( get_option( 'purity_upgrade_notice_dismissx' ) == 'dismissed' ) return;
		    ?>
		    <div class="vntd-upgrade-notice notice notice-warning is-dismissible">
		       <strong><?php echo '<p>' . esc_html__( "Please update the Purity Core plugin to the latest version via", 'purity' ) . ' <a href="' . esc_url( admin_url( 'themes.php?page=install-required-plugins' ) ) .'">' . esc_html__( 'Appearance / Install Plugins', 'purity' ) . '</a>.</p><p><a href="' . esc_url( add_query_arg( 'purity-update-4-1-1-notice-dismiss', 'true' ) ) .'">' . esc_html__( 'Dismiss this notice', 'purity' ) . '</a></p>'; ?></strong>
		    </div>
		    <?php
			}
		}
		add_action( 'admin_notices', 'purity_upgrade_admin_notice' );
	}

	// Dismiss the notice
	if ( ! function_exists( 'purity_upgrade_notice_dismiss' ) ) {
		function purity_upgrade_notice_dismiss() {
	    if ( isset( $_GET['purity-update-4-1-1-notice-dismiss'] ) ) {
				add_option( 'purity_upgrade_notice_dismiss', 'dismissed' );
			}
		}
		add_action( 'admin_init', 'purity_upgrade_notice_dismiss' );
	}

}

//
// Admin notice
//

if ( ! function_exists( 'purity_admin_notice' ) ) {
	function purity_admin_notice() {
		// Check if the notice was already dismissed
		if ( get_option( 'purity_upgrade_notice_dismiss' ) == 'dismissed' ) return;
    ?>
    <div class="notice notice-warning is-dismissible">
       <strong><?php echo sprintf( '<p>' . esc_html__( "If you're upgrading from an older version of Purity, please visit the.", 'purity' ) . "<a href='%s' target='_blank'>" . esc_html__( 'upgrade tutorial', 'purity' ) . '</a></p><p><a href="?purity-upgrade-notice-dismiss">' . esc_html__( 'Dismiss this notice', 'purity' ) . '</a></p>', 'https://veented.ticksy.com/article/14807/', admin_url( 'admin.php?page=optionsframework' ) ); ?></strong>
    </div>
    <?php
	}
	add_action( 'admin_notices', 'purity_admin_notice' );
}

// Dismiss the notice
if ( ! function_exists( 'purity_upgrade_notice_dismiss' ) ) {
	function purity_upgrade_notice_dismiss() {
    if ( isset( $_GET['purity-upgrade-notice-dismiss'] ) ) {
			add_option( 'purity_upgrade_notice_dismiss', 'dismissed' );
		}
	}
	add_action( 'admin_init', 'purity_upgrade_notice_dismiss' );
}
