<?php

if ( ! function_exists( 'vntd_homepage_tagline' ) ) {
	function vntd_homepage_tagline(){

		if ( purity_get_option('homepage_tagline_enable') == 'yes' )
		{?>

		<div class="home_tagline vntd-block inner">
			<h1>
			<?php
			do_action( 'purity_homepage_before_tagline' );
			if ( ! function_exists('icl_get_languages') ) {
				echo purity_get_option('homepage_tagline' );
			} else {
				echo esc_html__('This is an example homepage tagline','purity');
			}
			?>
			</h1>
		</div>
		<div class="divider line"></div>

	    <?php
		}
	}
}

if ( ! function_exists( 'vntd_homepage_custom_content' ) ) {
	function vntd_homepage_custom_content() {
		$homepage_cc = purity_get_option('homepage_cc');

		do_action( 'purity_homepage_before_custom_content' );
		if ( $homepage_cc ) {
			echo '<div class="vntd-custom-content vntd-block inner">'.$homepage_cc.'</div>';
			echo '<div class="divider line"></div>';
		}
	}
}

if ( ! function_exists( 'vntd_recent_work' ) ) {
	function vntd_recent_work() {
		if(purity_get_option('recent_work') != 'no' ) {

		if(!function_exists('icl_get_languages')){
			$tr_recent_work = vntd_translate('recent_work_title');
			$tr_view_more = vntd_translate('recent_work_view');
		}else{
			$tr_recent_work = esc_html__('Recent Work', 'purity');
			$tr_view_more = esc_html__('View Portfolio', 'purity');
		}
		?>
		<div id="recent-work" class="home-section vntd-block inner">
		    <h3><?php echo esc_html($tr_recent_work); ?></h3>
		    <?php

				$count = purity_get_option('recent_work_st');

				if ( $count == '4cols' ) {
					$count = 'fourcolumns';
					$query_count = 4;
				} else {
					$count = 'threecolumns';
					$query_count = 3;
				}

				?>

		    <ul class="<?php echo esc_attr($count); ?> home-list">

				<?php query_posts('post_type=portfolio&posts_per_page='.$query_count); if (have_posts()) : while (have_posts()) : the_post();	?>
		        <li>
		    		<div class="gallery clearfix">
		                    <a href="<?php vntd_pp_enabled('href'); ?>" <?php vntd_pp_enabled('rel'); ?> class="over">
		                        <span><?php the_title(); ?></span>
		                        <p><?php vntd_portfolio_desc_limited(); ?></p>
		                    </a>
		                    <a href="<?php the_permalink(); ?>"><img src="<?php vntd_post_thumb(446, 314); ?>" alt>   </a>
		                    <?php vntd_pp_images(); ?>
		    		</div>
		        </li>
		        <?php endwhile; endif;
		        wp_reset_query(); ?>

		    </ul>

		    <div class="clear"></div>
				<?php

				if ( purity_get_option( 'portfolio_page' ) ) {

					$view_more_page = get_page_by_path( purity_get_option( 'portfolio_page' ) );

					if ( is_object( $view_more_page ) ) {
						$view_more_url = get_permalink( $view_more_page->ID );
						?>
						<a href="<?php echo esc_url( $view_more_url ); ?>" class="goto"><?php echo esc_html( $tr_view_more ) . ' →'; ?></a>
						<?php
					}

				}

				?>
		</div>
		<div class="divider line"></div>
		<?php
		}
	}
}

if ( ! function_exists( 'vntd_recent_posts' ) ) {
	function vntd_recent_posts() {
		if(purity_get_option('recent_posts') != 'no' ){

		if(!function_exists('icl_get_languages')){
			$tr_recent_posts = vntd_translate('recent_posts_title');
			$tr_view_more = vntd_translate('recent_posts_view');
		}else{
			$tr_recent_posts = esc_html__('From the Blog', 'purity');
			$tr_view_more = esc_html__('Go to the Blog', 'purity');
		}
		?>

		<div id="recent-posts" class="home-section vntd-block inner">
		    <h3><?php echo esc_html($tr_recent_posts); ?></h3>
		    <?php

				$count = purity_get_option('recent_posts_st');

				if ( $count == '4cols' ) {
					$count = 'fourcolumns';
					$query_count = 4;
				} else {
					$count = 'threecolumns';
					$query_count = 3;
				}

				$sticky_posts = get_option( 'sticky_posts' );

				if ( is_array( $sticky_posts ) ) {
					$query_count = $query_count - count( $sticky_posts );
				}

				wp_reset_query();

			?>
		    <ul class="<?php echo esc_attr($count); ?> home-list">

				<?php query_posts( 'posts_per_page=' . $query_count ); if (have_posts()) : while (have_posts()) : the_post();	?>
		        <li>
		        	<?php if ( purity_get_option('recent_posts_thumbs') == 'yes' ) vntd_recent_posts_thumb(); ?>

		            <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
		            <?php vntd_post_meta('short'); ?>
		            <?php the_excerpt(); ?>
		        </li>
		        <?php endwhile; endif;
		        wp_reset_query(); ?>

		    </ul>

		    <div class="clear"></div>
		    <a href="<?php vntd_blog_url(); ?>" class="goto"><?php echo esc_html($tr_view_more).' →';  ?></a>
		</div>
		<div class="divider line"></div>
		<?php }
	}
}

if ( ! function_exists( 'vntd_recent_posts_thumb' ) ) {
	function vntd_recent_posts_thumb() {
		if(has_post_thumbnail()) {
			$thumb_arr = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'large');
			$thumb = $thumb_arr[0];
		} elseif(get_post_meta(get_the_ID(), 'pp_image-1', true)) {
			$thumb = get_post_meta(get_the_ID(), 'pp_image-1', true);
		} else {
			return false;
		} ?>
		<div class="recent-posts-thumb">
			<a href="<?php the_permalink() ?>">
				<img src="<?php echo esc_url( vntd_crop_img($thumb, 446, 280) ); ?>" alt="<?php the_title(); ?>">
			</a>
		</div>
		<?php
	}
}
