<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">

    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
	<div id="wrapper" <?php vntd_wrapper_class(); ?>>

    	<!-- HEADER START -->
    	<?php

    	$header_sticky = $main_class = '';

    	if ( purity_get_option( 'header_sticky' ) != 'no' ) {
    		$header_sticky = ' class="vntd-sticky-header"';
    		$main_class = ' class="vntd-sticky-content"';
    	}
    	$header_style = strtolower(purity_get_option('header_style'));
    	if(!$header_style) $header_style = 'default';
    	?>
		<header class="header-style-<?php echo esc_attr($header_style); ?>">
			<?php if ( purity_get_option('top_bar') == 'yes' ) vntd_topbar(); ?>
			<div id="header-wrap"<?php echo '' . $header_sticky; ?>>
	        	<div class="inner">
	            	<div class="logo">

						<a href="<?php echo home_url(); ?>" class="logo_img">
						<img class="website-logo" src="<?php echo esc_url( purity_get_option('logo_image') );	?>" alt="<?php bloginfo('name'); ?>">
						</a>

	                </div>
	            <?php if($header_style == "bottom" || $header_style == "centered") echo '</div><div class="nav-bottom nav-bottom-'.esc_attr($header_style).'"><div class="inner">'; ?>
	            	<div class="nav">
	                    <?php
                        if ( has_nav_menu( 'custom_menu' ) ) {
                          wp_nav_menu(array('theme_location' => 'custom_menu'));
                        } else {
                          echo '<div class="purity-header-no-nav">' . esc_html__( 'Please create a menu and assign it to "Main Navigation" location in Appearance / Menus settings page.', 'purity' ) . '</div>';
                        }
                      ?>
	                    <?php if ( class_exists('Woocommerce') && purity_get_option('header_cart') == 'yes' ) vntd_shopping_cart_icon(); ?>
	                    <?php vntd_responsive_select_nav() ?>
	            	</div>
	            <?php if($header_style == "bottom") echo '</div>'; ?>
	            </div><!-- .inner end -->
	    	</div>
        </header><!-- #header end -->
        <!-- HEADER END -->

        <!-- MAIN CONTENT START -->
        <div id="main"<?php echo '' . $main_class; ?>>

        <!-- Page Title Section -->
        <?php vntd_page_header(); ?>
