<?php
	$is_product = $is_shop = $is_checkout = $is_product_category = false;

	if(class_exists('Woocommerce') ) { // Is WooCommerce Page
		$is_product = is_product();
		$is_shop = is_shop();
		$is_checkout = is_checkout();
		$is_product_category = is_product_category();
	}
	if($is_product || $is_shop || $is_checkout|| $is_product_category){
		$page_id = get_option('woocommerce_shop_page_id');
		echo '<h1>'.get_the_title($page_id).'</h1>';

		if($is_product_category) {
			$terms = wp_get_post_terms( get_the_ID(), 'product_cat' );
			foreach ($terms as $term) {
				$tagline = esc_html__('Category','purity').': ';
				  if(is_product_category($term->name)) {
				  	$tagline .= $term->name;
				  	break;
				  }
			}
		} else {
			$tagline = get_post_meta($page_id, 'page_tagline', true);
		}

		if($tagline){
			echo "<span>".$tagline."</span>";
		}


	} elseif (is_404()) { // Is 404 Page

		if(!function_exists('icl_get_languages')){
			$tr_404_title = purity_get_option('404_title');
			$tr_404_tagline = purity_get_option('404_tagline');
		}else{
			$tr_404_title = esc_html__('404 Page Error', 'purity');
			$tr_404_tagline = esc_html__('Nothing Found', 'purity');
		}

		echo '<h1>'.$tr_404_title.'</h1>';
	    if($tr_404_tagline){
			echo "<span>".$tr_404_tagline."</span>";
		}

	} elseif (is_category()) { /* If this is a tag archive */
    	echo '<h1>'. esc_html__('Archives','purity').'</h1>';
    	echo '<span>';
    	single_cat_title();
    	echo '</span>';
    } elseif( is_tag() ) { /* If this is a tag archive */ ?>
    <h1><?php esc_html_e('Archives','purity'); ?></h1>
    <span><?php esc_html_e('Tagged','purity'); ?> &#8216;<?php single_tag_title(); ?>&#8216;</span>
<?php /* If this is a monthly archive */ } elseif (is_month() || is_day()) { ?>
    <h1><?php esc_html_e('Archives','purity'); ?></h1>
    <span><?php the_time('F, Y'); ?></span>
<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
	<h1><?php esc_html_e('Archives','purity'); ?></h1>
    <span><?php the_time('Y'); ?></span>
<?php /* If this is an author archive */ } elseif (is_author()) { ?>
    <h1><?php esc_html_e('Archives','purity'); ?></h1>
	<span><?php esc_html_e('Written by','purity'); ?> <?php echo get_userdata($author)->display_name; ?></span>
<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
    <h1><?php esc_html_e('Archives','purity'); ?></h1>
<?php /* If this is a search page */ } elseif (is_search()) { ?>
    <h1><?php esc_html_e('Search','purity'); ?></h1>
    <span><?php esc_html_e('Results for','purity'); ?> "<?php echo get_search_query() ?>"</span>
<?php /* If this is a portfolio post page */ } elseif( is_single() && get_post_type() == 'portfolio') { ?>
    <h1> <?php echo vntd_page_title('title'); ?></h1>
    <?php vntd_page_title('tagline'); ?>
<?php /* If this is a single post page */ } elseif(is_page() || get_post_type() == 'portfolio') { ?>
    <h1> <?php vntd_page_title('title'); ?></h1>
    <?php vntd_page_title('tagline'); ?>
<?php /* If this is a single post page */ } elseif(is_single() && get_post_type() !== 'portfolio') { ?>
    <h1> <?php vntd_page_title('blog_title'); ?></h1>
    <?php vntd_page_title('blog_tagline'); ?>
<?php /* If this is a blog page */ } elseif (is_home()) { ?>
    <h1> <?php vntd_page_title('blog_title'); ?> </h1>
    <?php vntd_page_title('blog_tagline'); ?>
<?php /* If other */ } else { ?>
    <h1> <?php vntd_page_title('title'); ?></h1>
    <?php vntd_page_title('tagline'); ?>
<?php
}
?>
