/*
 * ----------------------------------------------------------------
 *
 *  Purity HTML/CSS Template custom jQuery scripts.
 *
 * ----------------------------------------------------------------
 */


jQuery(document).ready(function(){

	"use strict";

/*
 * ----------------------------------------------------------------
 *  Dropdown menu
 * ----------------------------------------------------------------
 */

	function mainmenu(){
		jQuery('.nav li').on( "mouseenter", function(){
			jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).show(300);
		});
		jQuery('.nav li').on( "mouseleave", function(){
			jQuery(this).find('ul:first').css({visibility: "hidden"});
		});
	}

	mainmenu();

/*
 * ----------------------------------------------------------------
 *  Responsive Navigation
 * ----------------------------------------------------------------
 */

 	function sticky_header() {
 		var scroll_val = 1;
 		var sticky_area = jQuery('#header-wrap');


 		if(jQuery("#topbar").length !== 0) {
 			scroll_val = 37;
 		}

 		if(jQuery('header').hasClass('header-style-bottom') || jQuery('header').hasClass('header-style-centered')) {
 			sticky_area = jQuery('.nav-bottom');
 			scroll_val = scroll_val + jQuery('#header-wrap > .inner').height();
 		}

 		var header_height = sticky_area.height();

 		jQuery(window).scroll(function(){
	 		if (jQuery(this).scrollTop()>scroll_val) {
	 			sticky_area.addClass('vntd-sticky-now');
	 			jQuery('#main').css('margin-top',header_height);
	 		} else {
	 			sticky_area.removeClass('vntd-sticky-now');
	 			jQuery('#main').css('margin-top',0);
	 		}
 		});


 	}

 	if(jQuery('.vntd-sticky-header').length !== 0) {
	 	jQuery(window).load(function() {
	 		sticky_header();
	 	});

 	}

/*
 * ----------------------------------------------------------------
 *  Responsive Navigation
 * ----------------------------------------------------------------
 */

	var dropdown = document.getElementById("page_id");
	function onPageChange() {
		if ( dropdown.options[dropdown.selectedIndex].value != 0 ) {
			location.href = dropdown.options[dropdown.selectedIndex].value;
		}
	}
	if(dropdown) {
		dropdown.onchange = onPageChange;
	}

/*
 * ----------------------------------------------------------------
 *  Portfolio Equal Height
 * ----------------------------------------------------------------
 */

	function portfolioEqualHeight() {
		var items = jQuery('.portfolio li');
		var max = 100;
		items.each(function() {
			jQuery(this).css('height','');
		});
		items.each(function() {
			var el = jQuery(this);
			if(el.height() > max) {
				max = el.height();
			}
		});
		items.each(function() {
			jQuery(this).css('height',max+'px');
		});
	}

	if(jQuery('.portfolio').hasClass('portfolio3') || jQuery('.portfolio').hasClass('portfolio2') ) {
		jQuery(window).on('load', function() {
			portfolioEqualHeight();
		});

		jQuery(window).resize(function () {
			portfolioEqualHeight();
		});
	}

/*
 * ----------------------------------------------------------------
 *  Image hover effect
 * ----------------------------------------------------------------
 */

	// Over field

	jQuery('.over').stop().animate({ "opacity": 0 }, 0);
 	function over() {
		jQuery('.over').on( "mouseenter", function() {
			jQuery(this).stop().animate({ "opacity": .9 }, 250);
		});
		jQuery('.over').on( "mouseleave", function() {
			jQuery(this).stop().animate({ "opacity": 0 }, 250);
		});
	}

	over();

	// Firefox fix

	if (window.addEventListener) {
        window.addEventListener('unload', function() {}, false);
	}


	// Opacity change on hover

	function hover_opacity() {
		jQuery('.portfolio li,.gallery a[rel], .search_submit, .flickr_badge_image').on( 'mouseenter', function() {
			jQuery(this).find('img').stop().animate({ "opacity": .4 }, 250);
		});
		jQuery('.portfolio li,.gallery a[rel], .search_submit, .flickr_badge_image').on( 'mouseleave', function() {
			jQuery(this).find('img').stop().animate({ "opacity": 1 }, 250);
		});
	}

	hover_opacity();


/*
 * ----------------------------------------------------------------
 *  Shortcodes
 * ----------------------------------------------------------------
 */

	// Tabs

	if ( jQuery('.purity-tabs').length > 0 ) {
		jQuery(".purity-tabs").each( function() {
			jQuery( this ).tabs();
		});
	}

	// Toggles

	jQuery('.toggle-container').on( 'click', function () {
		var text = jQuery(this).children('.toggle-content');

		if (text.is(':hidden')) {
			text.slideDown('fast');
			jQuery(this).children('h6').addClass('active');
		} else {
			text.slideUp('fast');
			jQuery(this).children('h6').removeClass('active');
		}
	});

	// Progress Bar

	jQuery('.progress-bar').each(function(){

		var percent = jQuery(this).data("progress");
		jQuery(this).find('div.progress').animate({ width: percent+"%"}, 400);

	});


/*
 * ----------------------------------------------------------------
 *  Isotope Config
 * ----------------------------------------------------------------
 */

  var $container = jQuery('.portfolio');


  // Initialize Isotope
  //
  if($container.length) {

  	  jQuery(window).on('load', function() {
		  $container.isotope({
		      itemSelector: '.portfolio > li',
		      resizable: false,
		  });
	  });


	  $container.animate({
	      'opacity': 1
	  }, 400);


	  // Filtering Menu
	  //
	  var $optionSets = $container.closest('.inner').find('.option-set'),
	      $optionLinks = $optionSets.find('a');

	  $optionLinks.on( 'click', function () {
	      var $this = jQuery(this);
	      //don't proceed if already selected
	      if ($this.hasClass('selected')) {
	          return false;
	      }
	      var $optionSet = $this.parents('.option-set');
	      $optionSet.find('.selected').removeClass('selected');
	      $this.addClass('selected');

	      //make option object dynamically, i.e. { filter: '.my-filter-class' }
	      var options = {},
	          key = $optionSet.attr('data-option-key'),
	          value = $this.attr('data-option-value');
	      //parse 'false' as false boolean
	      value = value === 'false' ? false : value;
	      options[key] = value;
	      if (key === 'layoutMode' && typeof changeLayoutMode === 'function') {
	          //changes in layout modes need extra logic
	          changeLayoutMode($this, options);
	      } else {
	          //otherwise, apply new options
	          $container.isotope(options);
	      }

	      return false;
	  });

	  jQuery(window).smartresize(function () {

	      $container.isotope('reLayout');

	  });

  }

/*
 * ----------------------------------------------------------------
 *  PrettyPhoto
 * ----------------------------------------------------------------
 */



	function prettyPhoto() {
		jQuery(".gallery a[rel^='gallery']").prettyPhoto({animation_speed:'normal',theme:'pp_default',deeplinking:false,slideshow:3000});
	}

	prettyPhoto();


});
