<?php
/*
Template Name: Contact
*/

get_header();

$page_layout = get_post_meta($post->ID, 'page_layout', true); // Get Page Layout

if ( ! $page_layout ) $page_layout = 'sidebar_right';

?>
<?php get_header(); ?>

<div class="inner custom_content">

  <?php

	if ( purity_get_option( 'contact_map' ) != 'no' ) {

		echo '<div class="google-map fullwidth">';

		if ( ! function_exists( 'purity_core_shortcodes' ) ) {
			echo '<div class="purity-core-notice">' . sprintf( esc_html__( 'To meet the new ThemeForest requirements, Google Map shortcode was moved to a plugin "Purity Core". You may install it by going to <a href="%s" target="_blank">Appearance / Install Plugins</a> menu.', 'purity' ), admin_url( 'themes.php?page=install-required-plugins' ) ) . '</div>';
		} else {
			$address = purity_get_option('map_location');
			$height = purity_get_option('map_height');

			$zoom = purity_get_option('map_zoom');

      if ( purity_get_option( 'map_color' ) != 'default' ) {
        $greyscale = 'true';
      } else {
        $greyscale = 'false';
      }

      if ( $height == '' ) {
        $height = '320';
      }

      if ( $zoom == '' ) {
        $zoom = '15';
      }

      if ( purity_get_option( 'map_disable_ui' ) == 'no' ) {
        $disable_ui = 'false';
      } else {
        $disable_ui = 'true';
      }

			echo do_shortcode( '[vntd_google_map location="' . $address . '" disable_ui="' . $disable_ui . '" height="' . $height . '" greyscale="' . $greyscale . '" zoom="' . $zoom . '"]' );
			echo '<div class="divider line"></div>';
		}

		echo '</div>';

	}

	if ( $page_layout != "fullwidth" ) echo '<div class="content">';

	if ( have_posts() ) : while ( have_posts() ) : the_post();

		the_content(); // Page Content

		$contact_page = get_post( get_the_ID() );

		if ( $contact_page->post_content == '' ) {
			echo '<div class="purity-core-notice">' . sprintf( esc_html__( 'To meet the new ThemeForest requirements, the contact form has been removed from the theme. Please install the Contact Form 7 plugin via <a href="%s" target="_blank">Appearance / Install Plugins</a> and embed the shortcode inside this page content. <a href="%s" target="_blank">Learn more here</a>.', 'purity' ), admin_url( 'themes.php?page=install-required-plugins' ), 'https://veented.ticksy.com/article/14807/' ) . '</div>';
		}

	endwhile; endif;

	if ( $page_layout != "fullwidth" ) { // Print Sidebar if not Fullwidth layout
		echo '</div>';
		get_sidebar();
	}

get_footer(); ?>
