<?php
$post = $wp_query->post;
get_header();

if(is_shop()) {
	$page_id = get_option('woocommerce_shop_page_id');
} else {
	$page_id = $post->ID;
}
$page_layout = get_post_meta($page_id, 'page_layout', true); // Get Page Layout
if(!$page_layout) $page_layout = 'sidebar_right';
if(is_product() || is_cart()) $page_layout = 'fullwidth';
?>

<div class="inner custom_content page-layout-<?php echo esc_attr($page_layout); ?>">

	<?php

	if($page_layout != "fullwidth") echo '<div class="content">';

    woocommerce_content(); // Load WooCommerce Content

    if ( $page_layout != "fullwidth" ) { // Print Sidebar if not Fullwidth layout
    	echo '</div>';
    	?>
    	<div id="sidebar" class="sidebar">
    		<?php
				if ( is_shop() ) {
					if ( ! is_active_sidebar( 'woocommerce_shop' ) ) {
					 echo esc_html__( 'Please add widgets to the "WooCommerce Shop Page" sidebar area in Appearance / Widgets menu.', 'purity' );
				 	} else {
						if(!function_exists('dynamic_sidebar') || !dynamic_sidebar('woocommerce_shop'));
					}
				} elseif(is_product()) {
					if ( ! is_active_sidebar( 'woocommerce_product' ) ) {
					 echo esc_html__( 'Please add widgets to the "WooCommerce Product Page" sidebar area in Appearance / Widgets menu.', 'purity' );
				 	} else {
						if(!function_exists('dynamic_sidebar') || !dynamic_sidebar('woocommerce_product'));
					}
				} else {
					if(!function_exists('dynamic_sidebar') || !dynamic_sidebar(get_post_meta($page_id, 'page_sidebar', true)));
				}
    		?>
    	</div>
    	<?php
    }

get_footer(); // Get Footer

?>
